GNU Image Manipulation Program
GNU Image Manipulation Program
Preface
Preface
User Manual Authors and Contributors
Section 1, “ User Manual Authors and Contributors ”
Getting started
Part I, “ Getting started ”
Introduction
Chapter 1, Introduction
Welcome to GIMP
Section 1, “ Welcome to GIMP ”
Authors
Section 1.1, “ Authors ”
The GIMP Help system
Section 1.2, “ The GIMP Help system ”
Features and Capabilities
Section 1.3, “ Features and Capabilities ”
What's New in GIMP 2.4?
Section 2, “ What's New in GIMP 2.4? ”
New Look of the toolbox in GIMP 2.4
Figure 1.1, “ New Look of the toolbox in GIMP 2.4 ”
Scalable brushes in GIMP 2.4
Figure 1.2, “ Scalable brushes in GIMP 2.4 ”
Selection tools in GIMP 2.4
Figure 1.3, “ Selection tools in GIMP 2.4 ”
Color management in GIMP 2.4
Figure 1.4, “ Color management in GIMP 2.4 ”
Fire up the GIMP
Chapter 2, Fire up the GIMP
Running GIMP
Section 1, “ Running GIMP ”
Known Platforms
Section 1.1, “ Known Platforms ”
Language
Section 1.2, “ Language ”
Command Line Arguments
Section 1.3, “ Command Line Arguments ”
Starting GIMP the first time
Section 2, “ Starting GIMP the first time ”
Finally . . .
Section 2.1, “ Finally . . . ”
First Steps With Wilber
Chapter 3, First Steps With Wilber
Basic Concepts
Section 1, “ Basic Concepts ”
Main Windows
Section 2, “ Main Windows ”

The screenshot illustrates the standard windows of GIMP

Figure 3.1, “

The screenshot illustrates the standard windows of GIMP

”
The Main Toolbox
Section 2.1, “ The Main Toolbox ”
Screenshot of the Toolbox
Figure 3.2, “ Screenshot of the Toolbox ”
Image Window
Section 2.2, “ Image Window ”

A screenshot of the image window illustrating the important components

Figure 3.3, “

A screenshot of the image window illustrating the important components

”
???TITLE???
3
???TITLE???
4
???TITLE???
5
???TITLE???
8
???TITLE???
9
???TITLE???
11
???TITLE???
13
???TITLE???
14
Dialogs and Docking
Section 2.3, “ Dialogs and Docking ”
Docking Bars
Section 2.3.1, “ Docking Bars ”
A dock, with docking bars highlighted
Figure 3.4, “ A dock, with docking bars highlighted ”
Docking Drag Handles
Section 2.3.2, “ Docking Drag Handles ”

A dialog in a dock, with the drag handle area highlighted.

Figure 3.5, “

A dialog in a dock, with the drag handle area highlighted.

”
Image Menu
Section 2.3.3, “ Image Menu ”
???TITLE???
???
A dock with an Image Menu highlighted
Figure 3.6, “ A dock with an Image Menu highlighted ”
Tab Menu
Section 2.3.4, “ Tab Menu ”

A dialog in a dock, with the Tab menu button highlighted

Figure 3.7, “

A dialog in a dock, with the Tab menu button highlighted

”
Tab menu from the Layers dialog
Figure 3.8, “ Tab menu from the Layers dialog ”
???TITLE???
???
Add tab sub-menu
Figure 3.9, “ Add tab sub-menu ”
???TITLE???
???
???TITLE???
???
Preview Size submenu of a Tab menu
Figure 3.10, “ Preview Size submenu of a Tab menu ”
???TITLE???
???
Tab Style submenu of a Tab menu
Figure 3.11, “ Tab Style submenu of a Tab menu ”
???TITLE???
???
???TITLE???
???
???TITLE???
???
Undoing
Section 3, “ Undoing ”
Things That Cannot be Undone
Section 3.1, “ Things That Cannot be Undone ”
GIMPLite Quickies
Section 4, “ GIMPLite Quickies ”
Intention
Section 4.1, “ Intention ”
Change the Size of an Image (Scale)
Section 4.2, “ Change the Size of an Image (Scale) ”
Example Image for Scaling
Figure 3.12, “ Example Image for Scaling ”
GIMP Used for Image Scaling
Figure 3.13, “ GIMP Used for Image Scaling ”
Dialog for Image Scaling in Pixels
Figure 3.14, “ Dialog for Image Scaling in Pixels ”
Dialog for Image Scaling in Inches
Figure 3.15, “ Dialog for Image Scaling in Inches ”
Make JPEGs Smaller
Section 4.3, “ Make JPEGs Smaller ”
Example Image for JPEG Saving
Figure 3.16, “ Example Image for JPEG Saving ”
Dialog for Image Saving as JPEG
Figure 3.17, “ Dialog for Image Saving as JPEG ”
Dialog for Image Saving as JPEG
Figure 3.18, “ Dialog for Image Saving as JPEG ”
Example for High JPEG Compression
Figure 3.19, “ Example for High JPEG Compression ”
Example for Moderate JPEG Compression
Figure 3.20, “ Example for Moderate JPEG Compression ”
Crop An Image
Section 4.4, “ Crop An Image ”
Example Image for Cropping
Figure 3.21, “ Example Image for Cropping ”
Select a Region to Crop
Figure 3.22, “ Select a Region to Crop ”
Dialog for Cropping
Figure 3.23, “ Dialog for Cropping ”
Find Info About Your Image
Section 4.5, “ Find Info About Your Image ”
Example Image for Finding Info
Figure 3.24, “ Example Image for Finding Info ”
Dialog for Image Info
Figure 3.25, “ Dialog for Image Info ”
Scale Problem
Figure 3.26, “ Scale Problem ”
Problem Solved by Cropping
Figure 3.27, “ Problem Solved by Cropping ”
Change the Mode
Section 4.6, “ Change the Mode ”

Dialog Change to Indexed Colors

Figure 3.28, “

Dialog Change to Indexed Colors

”
Add Alpha Channel
Figure 3.29, “ Add Alpha Channel ”
Flip An Image
Section 4.7, “ Flip An Image ”
Example Image to Flip
Figure 3.30, “ Example Image to Flip ”
How to Draw Straight Lines
Section 5, “ How to Draw Straight Lines ”
Intention
Section 5.1, “ Intention ”
Example of straight drawn lines
Figure 3.31, “ Example of straight drawn lines ”

Introducing the Shift-key

Figure 3.32, “

Introducing the Shift-key

”
New image
Figure 3.33, “ New image ”
Paint tools in the toolbox
Figure 3.34, “ Paint tools in the toolbox ”
Starting point
Figure 3.35, “ Starting point ”
Drawing the line
Figure 3.36, “ Drawing the line ”
Final
Section 5.2, “ Final ”
Examples
Section 5.2.1, “ Examples ”
Examples I
Figure 3.37, “ Examples I ”
Examples II
Figure 3.38, “ Examples II ”
Example III
Figure 3.39, “ Example III ”
Getting Unstuck
Chapter 4, Getting Unstuck
Getting Unstuck
Section 1, “ Getting Unstuck ”
Stuck!
Section 1.1, “ Stuck! ”
Common Causes of GIMP Non-Responsiveness
Section 1.2, “ Common Causes of GIMP Non-Responsiveness ”
There is a floating selection
Section 1.2.1, “ There is a floating selection ”

Layers dialog showing a floating selection.

Figure 4.1, “

Layers dialog showing a floating selection.

”
The selection is hidden
Section 1.2.2, “ The selection is hidden ”
Unstuck show selection menu
Figure 4.2, “ Unstuck show selection menu ”
You are acting outside of the selection
Section 1.2.3, “ You are acting outside of the selection ”
Unstuck select all
Figure 4.3, “ Unstuck select all ”
The active drawable is not visible
Section 1.2.4, “ The active drawable is not visible ”
Unstuck layer invisibility
Figure 4.4, “ Unstuck layer invisibility ”
The active drawable is transparent
Section 1.2.5, “ The active drawable is transparent ”
Unstuck layer transparency
Figure 4.5, “ Unstuck layer transparency ”
You are trying to act outside the layer
Section 1.2.6, “ You are trying to act outside the layer ”
The image is in indexed color mode.
Section 1.2.7, “ The image is in indexed color mode. ”

How do I Become a GIMP Wizard?

Part II, “

How do I Become a GIMP Wizard?

”
Getting Images Into GIMP
Chapter 5, Getting Images Into GIMP
Image Types
Section 1, “ Image Types ”
Components of the RGB and CMY Color Model
Figure 5.1, “ Components of the RGB and CMY Color Model ”

Example of an image in RGB and Grayscale mode

Figure 5.2, “

Example of an image in RGB and Grayscale mode

”
Example of an image with alpha channel
Figure 5.3, “ Example of an image with alpha channel ”
Creating new Files
Section 2, “ Creating new Files ”
Opening Files
Section 3, “ Opening Files ”
Open File
Section 3.1, “ Open File ”
The File Open dialog.
Figure 5.4, “ The File Open dialog. ”
Open Location
Section 3.2, “ Open Location ”

The Open Location dialog

Figure 5.5, “

The Open Location dialog

”
Open Recent
Section 3.3, “ Open Recent ”
File Browser
Section 3.4, “ File Browser ”
Drag and Drop
Section 3.5, “ Drag and Drop ”
Copy and Paste
Section 3.6, “ Copy and Paste ”
Image Browser
Section 3.7, “ Image Browser ”
Getting images out of GIMP
Chapter 6, Getting images out of GIMP
Files
Section 1, “ Files ”
Saving Images
Section 1.1, “ Saving Images ”
Saving Files
Section 1.2, “ Saving Files ”
Example of an Export dialog
Figure 6.1, “ Example of an Export dialog ”
Saving as GIF
Section 1.2.1, “ Saving as GIF ”
???TITLE???
GIF
The GIF Save dialog
Figure 6.2, “ The GIF Save dialog ”
Saving as JPEG
Section 1.2.2, “ Saving as JPEG ”
???TITLE???
JPEG
The JPEG Save dialog
Figure 6.3, “ The JPEG Save dialog ”
Saving as PNG
Section 1.2.3, “ Saving as PNG ”
???TITLE???
PNG
???TITLE???
PNG

The Save as PNG dialog

Figure 6.4, “

The Save as PNG dialog

”
Saving as TIFF
Section 1.2.4, “ Saving as TIFF ”
The TIFF Save dialog
Figure 6.5, “ The TIFF Save dialog ”
Preparing your Images for the Web
Section 2, “ Preparing your Images for the Web ”
Images with an Optimal Size/Quality Ratio
Section 2.1, “ Images with an Optimal Size/Quality Ratio ”
The Wilber image opened in RGBA mode.
Figure 6.6, “ The Wilber image opened in RGBA mode. ”
Reducing the File Size Even More
Section 2.2, “ Reducing the File Size Even More ”
The indexed image
Figure 6.7, “ The indexed image ”
Saving Images with Transparency
Section 2.3, “ Saving Images with Transparency ”
The Wilber Image Opened in RGBA Mode.
Figure 6.8, “ The Wilber Image Opened in RGBA Mode. ”

Mid-Tone Checks in the background layer represent the transparent region of the saved image while you are working on it in GIMP.

Figure 6.9, “

Mid-Tone Checks in the background layer represent the transparent region of the saved image while you are working on it in GIMP.

”
Painting with GIMP
Chapter 7, Painting with GIMP
The Selection
Section 1, “ The Selection ”
How would you isolate the tree?
Figure 7.1, “ How would you isolate the tree? ”
Selection shown as usual with dashed line
Figure 7.2, “ Selection shown as usual with dashed line ”
Same selection in QuickMask mode
Figure 7.3, “ Same selection in QuickMask mode ”

Same selection in QuickMask mode after feathering

Figure 7.4, “

Same selection in QuickMask mode after feathering

”
Feathering
Section 1.1, “ Feathering ”
Making a Selection Partially Transparent
Section 1.2, “ Making a Selection Partially Transparent ”
Creating and Using Selections
Section 2, “ Creating and Using Selections ”
Moving a Selection
Section 2.1, “ Moving a Selection ”

Moving rectangular and elliptical selections

Section 2.1.1, “

Moving rectangular and elliptical selections

”
Moving selection outline
Figure 7.5, “ Moving selection outline ”

Moving a selection and its content, emptying the original place

Figure 7.6, “

Moving a selection and its content, emptying the original place

”

Moving a selection and its content without emptying the original place

Figure 7.7, “

Moving a selection and its content without emptying the original place

”
Moving the other selections
Section 2.1.2, “ Moving the other selections ”
Other method
Section 2.1.3, “ Other method ”
Creating a Free Selection
Section 2.2, “ Creating a Free Selection ”
Using the Free Selection Tool
Figure 7.8, “ Using the Free Selection Tool ”
QuickMask
Section 3, “ QuickMask ”
Image with QuickMask enabled
Figure 7.9, “ Image with QuickMask enabled ”
Overview
Section 3.1, “ Overview ”
Properties
Section 3.2, “ Properties ”
Using the Quickmask
Section 4, “ Using the Quickmask ”

Paths
Section 5, “

Paths ”
???TITLE???
Paths
Illustration of four different path creating.
Figure 7.10, “ Illustration of four different path creating. ”
Path Creating
Section 5.1, “ Path Creating ”

Appearance of a path while it is being manipulated using the Path tool.

Figure 7.11, “

Appearance of a path while it is being manipulated using the Path tool.

”
Paths and Selections
Section 5.2, “ Paths and Selections ”
Transforming Paths
Section 5.3, “ Transforming Paths ”
Stroking a Path
Section 5.4, “ Stroking a Path ”

The four paths from the top illustration, each stroked in a different way.

Figure 7.12, “

The four paths from the top illustration, each stroked in a different way.

”

The Stroke Path dialog.

Figure 7.13, “

The Stroke Path dialog.

”
Paths and Text
Section 5.5, “ Paths and Text ”
Text converted to a path
Figure 7.14, “ Text converted to a path ”
Paths and SVG files
Section 5.6, “ Paths and SVG files ”
Brushes
Section 6, “ Brushes ”
Brush strokes example
Figure 7.15, “ Brush strokes example ”

Selection to Brush after Copy or Cut

Figure 7.16, “

Selection to Brush after Copy or Cut

”
Adding New Brushes
Section 7, “ Adding New Brushes ”
???TITLE???
???TITLE???
Save a .gbr brush
Figure 7.17, “ Save a .gbr brush ”
The GIH Dialog Box
Section 8, “ The GIH Dialog Box ”
The dialog to describe the animated brush.
Figure 7.18, “ The dialog to describe the animated brush. ”

Here is the result by stroking an elliptical selection with the brush:

Figure 7.19, “

Here is the result by stroking an elliptical selection with the brush:

”
Varying brush size
Section 9, “ Varying brush size ”
How to vary the height of a brush
Section 9.1, “ How to vary the height of a brush ”
The Stretch or Shrink slider
Figure 7.20, “ The Stretch or Shrink slider ”
Creating a brush quickly
Section 9.2, “ Creating a brush quickly ”

Selection becomes a brush after copying

Figure 7.21, “

Selection becomes a brush after copying

”
Steps to create a brush
Figure 7.22, “ Steps to create a brush ”
Gradients
Section 10, “ Gradients ”
Some examples of GIMP gradients.
Figure 7.23, “ Some examples of GIMP gradients. ”

How to use rapidly a gradient in a selection

Figure 7.24, “

How to use rapidly a gradient in a selection

”

How to use rapidly a gradient with a drawing tool

Figure 7.25, “

How to use rapidly a gradient with a drawing tool

”
Gradient usage
Figure 7.26, “ Gradient usage ”
Patterns
Section 11, “ Patterns ”
Pattern usage
Figure 7.27, “ Pattern usage ”
The checked box for use a pattern
Figure 7.28, “ The checked box for use a pattern ”
Pattern script examples
Figure 7.29, “ Pattern script examples ”
How to create new patterns
Figure 7.30, “ How to create new patterns ”
Palettes
Section 12, “ Palettes ”
The Palettes dialog
Figure 7.31, “ The Palettes dialog ”
The Palette Editor
Figure 7.32, “ The Palette Editor ”
Colormap
Section 12.1, “ Colormap ”
The Colormap dialog
Figure 7.33, “ The Colormap dialog ”
Colormap dialog (1) and Palette dialog (2)
Figure 7.34, “ Colormap dialog (1) and Palette dialog (2) ”
Drawing Simple Objects
Section 13, “ Drawing Simple Objects ”
Drawing a Straight Line
Section 13.1, “ Drawing a Straight Line ”

The dialog shows a new image, filled with a white background.

Figure 7.35, “

The dialog shows a new image, filled with a white background.

”

The dialog shows a new image, with the first dot which indicates the start of the straight line. The dot has a black foreground color.

Figure 7.36, “

The dialog shows a new image, with the first dot which indicates the start of the straight line. The dot has a black foreground color.

”

The screenshot shows the helpline, which indicates how the finished line will look.

Figure 7.37, “

The screenshot shows the helpline, which indicates how the finished line will look.

”

The line created appears in the image window after drawing the second point (or end point), while the Shift key is still pressed.

Figure 7.38, “

The line created appears in the image window after drawing the second point (or end point), while the Shift key is still pressed.

”
Creating a Basic Shape
Section 13.2, “ Creating a Basic Shape ”

The screenshot shows how a rectangular selection is created. Press and hold the left mouse button while you move the mouse in the direction of the red arrow.

Figure 7.39, “

The screenshot shows how a rectangular selection is created. Press and hold the left mouse button while you move the mouse in the direction of the red arrow.

”

The screenshot shows a rectangular selection filled with the foreground color.

Figure 7.40, “

The screenshot shows a rectangular selection filled with the foreground color.

”
Combining Images
Chapter 8, Combining Images
Introduction to Layers
Section 1, “ Introduction to Layers ”
Layer Properties
Section 1.1, “ Layer Properties ”
Example for Alpha channel
Example for Alpha channel
Alpha channel example: Basic image
Figure 8.1, “ Alpha channel example: Basic image ”

Alpha channel example: One transparent layer

Figure 8.2, “

Alpha channel example: One transparent layer

”

Alpha channel example: Two transparent layers

Figure 8.3, “

Alpha channel example: Two transparent layers

”

Alpha channel example: Three transparent layers

Figure 8.4, “

Alpha channel example: Three transparent layers

”

Alpha channel example: Alpha channel added to the Background

Figure 8.5, “

Alpha channel example: Alpha channel added to the Background

”
Layer Dialog
Figure 8.6, “ Layer Dialog ”
Lock Alpha channel
Figure 8.7, “ Lock Alpha channel ”
Layer Modes
Section 2, “ Layer Modes ”
Images (masks) for layer mode examples
Figure 8.8, “ Images (masks) for layer mode examples ”
Images (backgrounds) for layer mode examples
Figure 8.9, “ Images (backgrounds) for layer mode examples ”
Example
Equation 8.1, “ Example ”

Example for layer mode Normal

Figure 8.10, “

Example for layer mode Normal

”

Equation for layer mode Normal

Equation 8.2, “

Equation for layer mode Normal

”

Example for layer mode Dissolve

Figure 8.11, “

Example for layer mode Dissolve

”
Enlarged screenshots
Figure 8.12, “ Enlarged screenshots ”

Example for layer mode Multiply

Figure 8.13, “

Example for layer mode Multiply

”

Equation for layer mode Multiply

Equation 8.3, “

Equation for layer mode Multiply

”

Example for layer mode Divide

Figure 8.14, “

Example for layer mode Divide

”

Equation for layer mode Divide

Equation 8.4, “

Equation for layer mode Divide

”

Example for layer mode Screen

Figure 8.15, “

Example for layer mode Screen

”

Equation for layer mode Screen

Equation 8.5, “

Equation for layer mode Screen

”

Example for layer mode Overlay

Figure 8.16, “

Example for layer mode Overlay

”
???TITLE???
???

Equation for layer mode Overlay

Equation 8.6, “

Equation for layer mode Overlay

”

Example for layer mode Dodge

Figure 8.17, “

Example for layer mode Dodge

”

Equation for layer mode Dodge

Equation 8.7, “

Equation for layer mode Dodge

”

Example for layer mode Burn

Figure 8.18, “

Example for layer mode Burn

”

Equation for layer mode Burn

Equation 8.8, “

Equation for layer mode Burn

”

Example for layer mode Hard light

Figure 8.19, “

Example for layer mode Hard light

”

Equation for layer mode Hard light, M > 128

Equation 8.9, “

Equation for layer mode Hard light, M > 128

”

Equation for layer mode Hard light, M 128

Equation 8.10, “

Equation for layer mode Hard light, M 128

”

Example for layer mode Soft light

Figure 8.20, “

Example for layer mode Soft light

”

Equation for layer mode Screen

Equation 8.11, “

Equation for layer mode Screen

”

Equation for layer mode Soft light

Equation 8.12, “

Equation for layer mode Soft light

”

Example for layer mode Grain extract

Figure 8.21, “

Example for layer mode Grain extract

”

Equation for layer mode Grain extract

Equation 8.13, “

Equation for layer mode Grain extract

”

Example for layer mode Grain merge

Figure 8.22, “

Example for layer mode Grain merge

”

Equation for layer mode Grain merge

Equation 8.14, “

Equation for layer mode Grain merge

”

Example for layer mode Difference

Figure 8.23, “

Example for layer mode Difference

”

Equation for layer mode Difference

Equation 8.15, “

Equation for layer mode Difference

”

Example for layer mode Addition

Figure 8.24, “

Example for layer mode Addition

”

Equation for layer mode Addition

Equation 8.16, “

Equation for layer mode Addition

”

Example for layer mode Subtract

Figure 8.25, “

Example for layer mode Subtract

”

Equation for layer mode Subtraction

Equation 8.17, “

Equation for layer mode Subtraction

”

Example for layer mode Darken only

Figure 8.26, “

Example for layer mode Darken only

”

Equation for layer mode Darken only

Equation 8.18, “

Equation for layer mode Darken only

”

Example for layer mode Lighten only

Figure 8.27, “

Example for layer mode Lighten only

”

Equation for layer mode Lighten only

Equation 8.19, “

Equation for layer mode Lighten only

”

Example for layer mode Hue

Figure 8.28, “

Example for layer mode Hue

”

Example for layer mode Saturation

Figure 8.29, “

Example for layer mode Saturation

”

Example for layer mode Color

Figure 8.30, “

Example for layer mode Color

”

Example for layer mode Value

Figure 8.31, “

Example for layer mode Value

”
Multi layer example
Figure 8.32, “ Multi layer example ”
Creating New Layers
Section 3, “ Creating New Layers ”
Text and Fonts
Section 4, “ Text and Fonts ”
Example of a text item
Figure 8.33, “ Example of a text item ”
GIMP text editor
Figure 8.34, “ GIMP text editor ”
Warning lose modifications
Figure 8.35, “ Warning lose modifications ”
Text
Section 5, “ Text ”
Embellishing Text
Section 5.1, “ Embellishing Text ”
Fancy text
Figure 8.36, “ Fancy text ”
Adding Fonts
Section 5.2, “ Adding Fonts ”
Font Problems
Section 5.3, “ Font Problems ”
Enhancing Photographs
Chapter 9, Enhancing Photographs
Working with Digital Camera Photos
Section 1, “ Working with Digital Camera Photos ”
Introduction
Section 1.1, “ Introduction ”
Improving Composition
Section 1.2, “ Improving Composition ”
Rotating an Image
Section 1.2.1, “ Rotating an Image ”
Cropping
Section 1.2.2, “ Cropping ”
Improving Colors
Section 1.3, “ Improving Colors ”
Automated Tools
Section 1.3.1, “ Automated Tools ”
Exposure Problems
Section 1.3.2, “ Exposure Problems ”
Adjusting Hue and Saturation
Section 1.3.3, “ Adjusting Hue and Saturation ”
Adjusting Sharpness
Section 1.4, “ Adjusting Sharpness ”
Unblurring
Section 1.4.1, “ Unblurring ”
Reducing Graininess
Section 1.4.2, “ Reducing Graininess ”
Softening
Section 1.4.3, “ Softening ”
Removing Unwanted Objects from an Image
Section 1.5, “ Removing Unwanted Objects from an Image ”
Despeckling
Section 1.5.1, “ Despeckling ”
Garbage Removal
Section 1.5.2, “ Garbage Removal ”
Removing Red-eye
Section 1.5.3, “ Removing Red-eye ”
Saving Your Results
Section 1.6, “ Saving Your Results ”
Files
Section 1.6.1, “ Files ”
Printing Your Photos
Section 1.6.2, “ Printing Your Photos ”
EXIF Data
Section 1.6.3, “ EXIF Data ”
Color Management with GIMP
Chapter 10, Color Management with GIMP
Color Management in GIMP
Section 1, “ Color Management in GIMP ”
Image Processing Workflow
Figure 10.1, “ Image Processing Workflow ”
Problems of a non Color Managed Workflow
Section 1.1, “ Problems of a non Color Managed Workflow ”

Introduction to a Color Managed Workflow
Section 1.2, “

Introduction to a Color Managed Workflow ”
???TITLE???
???
Input
Section 1.2.1, “ Input ”
Applying the ICC-profile

Figure 10.2, “ Applying the ICC-profile

”
Display

Section 1.2.2, “ Display

”
Display Calibration and Profiling
Section 1.2.2.1, “ Display Calibration and Profiling ”
Print Simulation
Section 1.2.3, “ Print Simulation ”
Pimp my GIMP
Chapter 11, Pimp my GIMP
Preferences Dialog
Section 1, “ Preferences Dialog ”
Introduction
Section 1.1, “ Introduction ”
List of preference pages
Figure 11.1, “ List of preference pages ”
Environment
Section 1.2, “ Environment ”
Environment Preferences
Figure 11.2, “ Environment Preferences ”
Options
Section 1.2.1, “ Options ”
Interface
Section 1.3, “ Interface ”
Assorted Interface Preferences
Figure 11.3, “ Assorted Interface Preferences ”
Theme
Section 1.4, “ Theme ”

Theme Preference

Figure 11.4, “

Theme Preference

”
Help System
Section 1.5, “ Help System ”
Help System Preferences (Linux Screenshot)
Figure 11.5, “ Help System Preferences (Linux Screenshot) ”
Options
Section 1.5.1, “ Options ”
Tool Options
Section 1.6, “ Tool Options ”
Tool Options Preferences
Figure 11.6, “ Tool Options Preferences ”
Options
Section 1.6.1, “ Options ”
Toolbox
Section 1.7, “ Toolbox ”

Toolbox Preferences

Figure 11.7, “

Toolbox Preferences

”
Options
Section 1.7.1, “ Options ”
Default Toolbox appearance
Figure 11.8, “ Default Toolbox appearance ”
Default Image Preferences
Section 1.8, “ Default Image Preferences ”
???TITLE???
???
Default New Image Preferences
Figure 11.9, “ Default New Image Preferences ”
Default Image Grid
Section 1.9, “ Default Image Grid ”
Default Grid Preferences
Figure 11.10, “ Default Grid Preferences ”
Image Windows
Section 1.10, “ Image Windows ”
General Image Window Preference
Figure 11.11, “ General Image Window Preference ”
Options
Section 1.10.1, “ Options ”
Image Window Appearance
Section 1.11, “ Image Window Appearance ”
Image Window Appearance Defaults
Figure 11.12, “ Image Window Appearance Defaults ”
Image Window Title and Statusbar
Section 1.12, “ Image Window Title and Statusbar ”

Image Window Title and Statusbar formats

Figure 11.13, “

Image Window Title and Statusbar formats

”
Choosing a Format
Section 1.12.1, “ Choosing a Format ”
Display
Section 1.13, “ Display ”
Display Preferences
Figure 11.14, “ Display Preferences ”
Options
Section 1.13.1, “ Options ”
The Calibration dialog
Figure 11.15, “ The Calibration dialog ”
???TITLE???
???TITLE???
Color Management
Section 1.14, “ Color Management ”
Color Management Preferences
Figure 11.16, “ Color Management Preferences ”
Options
Section 1.14.1, “ Options ”
Input Devices
Section 1.15, “ Input Devices ”
Input devices preferences
Figure 11.17, “ Input devices preferences ”
Preferences for a tablet
Figure 11.18, “ Preferences for a tablet ”
Input Controllers
Section 1.16, “ Input Controllers ”
Input controllers preferences
Figure 11.19, “ Input controllers preferences ”
Main Mouse Wheel tab
Figure 11.20, “ Main Mouse Wheel tab ”
Select Controller Event Action
Figure 11.21, “ Select Controller Event Action ”
Main Keyboard
Figure 11.22, “ Main Keyboard ”
Window Management
Section 1.17, “ Window Management ”
Window Management Preferences
Figure 11.23, “ Window Management Preferences ”
Options
Section 1.17.1, “ Options ”
Folders
Section 1.18, “ Folders ”
Basic Folder Preferences
Figure 11.24, “ Basic Folder Preferences ”
Data Folders
Section 1.19, “ Data Folders ”
???TITLE???
???
???TITLE???
???
???TITLE???
???
???TITLE???
???
???TITLE???
???
???TITLE???
???
???TITLE???
???
???TITLE???
???
???TITLE???
???
???TITLE???
???
Preferences: Brush Folders
Figure 11.25, “ Preferences: Brush Folders ”
Grids and Guides
Section 2, “ Grids and Guides ”
Image used for examples below
Figure 11.26, “ Image used for examples below ”
The Image Grid
Section 2.1, “ The Image Grid ”
Image with default grid
Figure 11.27, “ Image with default grid ”
A different grid style
Figure 11.28, “ A different grid style ”
Guides
Section 2.2, “ Guides ”
Image with four guides
Figure 11.29, “ Image with four guides ”
Rendering a Grid
Section 3, “ Rendering a Grid ”
How to Set Your Tile Cache
Section 4, “ How to Set Your Tile Cache ”
Creating Shortcuts to Menu Functions
Section 5, “ Creating Shortcuts to Menu Functions ”
Configure Keyboard Shortcuts
Figure 11.30, “ Configure Keyboard Shortcuts ”
Dialogs and Docking
Section 6, “ Dialogs and Docking ”
Creating Docking Dialogs
Section 6.1, “ Creating Docking Dialogs ”
Removing Tabs
Section 6.2, “ Removing Tabs ”

A dialog in a dock, with the Close Tab button highlighted

Figure 11.31, “

A dialog in a dock, with the Close Tab button highlighted

”
Customize Splash-Screen
Section 7, “ Customize Splash-Screen ”
Scripting
Chapter 12, Scripting
Plugins
Section 1, “ Plugins ”
Introduction
Section 1.1, “ Introduction ”
Using Plugins
Section 1.2, “ Using Plugins ”
Installing New Plugins
Section 1.3, “ Installing New Plugins ”
Linux
Section 1.3.1, “ Linux ”
Windows
Section 1.3.2, “Windows”
Apple Mac OS X
Section 1.3.3, “ Apple Mac OS X ”
Writing Plugins
Section 1.4, “ Writing Plugins ”
Using Script-Fu Scripts
Section 2, “ Using Script-Fu Scripts ”
Script-Fu?
Section 2.1, “ Script-Fu? ”
Installing Script-Fus
Section 2.2, “ Installing Script-Fus ”
Do's and Don'ts
Section 2.3, “ Do's and Don'ts ”
Different Kinds Of Script-Fus
Section 2.4, “ Different Kinds Of Script-Fus ”
Script-Fus by category
Figure 12.1, “ Script-Fus by category ”
Where find Image-dependent scripts
Figure 12.2, “ Where find Image-dependent scripts ”
Standalone Scripts
Section 2.5, “ Standalone Scripts ”
Image-Dependent Scripts
Section 2.6, “ Image-Dependent Scripts ”
A Script-Fu Tutorial
Section 3, “ A Script-Fu Tutorial ”
Getting Acquainted With Scheme
Section 3.1, “ Getting Acquainted With Scheme ”
Let's Start Scheme'ing
Section 3.1.1, “ Let's Start Scheme'ing ”

Examples Of Prefix, Infix, And Postfix Notations

Section 3.1.2, “

Examples Of Prefix, Infix, And Postfix Notations

”
Practicing In Scheme
Section 3.1.3, “ Practicing In Scheme ”
The Script-Fu Console Window
Section 3.1.4, “ The Script-Fu Console Window ”

Use Script-Fu Console.

Figure 12.3, “

Use Script-Fu Console.

”
Watch Out For Extra Parentheses
Section 3.1.5, “ Watch Out For Extra Parentheses ”
Make Sure You Have The Proper Spacing, Too
Section 3.1.6, “ Make Sure You Have The Proper Spacing, Too ”
Variables And Functions
Section 3.2, “ Variables And Functions ”
Declaring Variables
Section 3.2.1, “ Declaring Variables ”
What Is A Local Variable?
Section 3.2.2, “ What Is A Local Variable? ”
The General Syntax Of let*
Section 3.2.3, “ The General Syntax Of let* ”
White Space
Section 3.2.4, “ White Space ”
Assigning A New Value To A Variable
Section 3.2.5, “ Assigning A New Value To A Variable ”
Functions
Section 3.2.6, “ Functions ”
Lists, Lists And More Lists
Section 3.3, “ Lists, Lists And More Lists ”
Defining A List
Section 3.3.1, “ Defining A List ”
How To Think Of Lists
Section 3.3.2, “ How To Think Of Lists ”

Creating Lists Through Concatenation (The Cons Function)

Section 3.3.3, “

Creating Lists Through Concatenation (The Cons Function)

”

Defining A List Using The list Function

Section 3.3.4, “

Defining A List Using The list Function

”
Accessing Values In A List
Section 3.3.5, “ Accessing Values In A List ”
The car Function
Section 3.3.6, “ The car Function ”
The cdr function
Section 3.3.7, “ The cdr function ”
Accessing Other Elements In A List
Section 3.3.8, “ Accessing Other Elements In A List ”
Your First Script-Fu Script
Section 3.4, “ Your First Script-Fu Script ”
Creating A Text Box Script
Section 3.4.1, “ Creating A Text Box Script ”
Editing And Storing Your Scripts
Section 3.4.2, “ Editing And Storing Your Scripts ”
The Bare Essentials
Section 3.4.3, “ The Bare Essentials ”
Naming Conventions
Section 3.4.4, “ Naming Conventions ”
Registering The Function
Section 3.4.5, “ Registering The Function ”
Steps For Registering The Script
Section 3.4.6, “ Steps For Registering The Script ”
The menu of our script.
Figure 12.4, “ The menu of our script. ”
Registering The Script's Parameters
Section 3.4.7, “ Registering The Script's Parameters ”

The Script-Fu parameter API

Section 3.4.8, “

The Script-Fu parameter API

”
Giving Our Script Some Guts
Section 3.5, “ Giving Our Script Some Guts ”
Creating A New Image
Section 3.5.1, “ Creating A New Image ”
Adding A New Layer To The Image
Section 3.5.2, “ Adding A New Layer To The Image ”
Adding The Text
Section 3.5.3, “ Adding The Text ”
Clearing The Dirty Flag
Section 3.5.4, “ Clearing The Dirty Flag ”
Extending The Text Box Script
Section 3.6, “ Extending The Text Box Script ”
Handling Undo Correctly
Section 3.6.1, “ Handling Undo Correctly ”
Extending The Script A Little More
Section 3.6.2, “ Extending The Script A Little More ”

Modifying The Parameters And The Registration Function

Section 3.6.3, “

Modifying The Parameters And The Registration Function

”
Adding The New Code
Section 3.6.4, “ Adding The New Code ”
Your script and its working
Section 3.7, “ Your script and its working ”
What you write
Section 3.7.1, “ What you write ”
What you obtain
Section 3.7.2, “What you obtain”
And the result on the screen.
Figure 12.5, “ And the result on the screen. ”

Function Reference

Part III, “

Function Reference

”
Toolbox
Chapter 13, Toolbox
The Toolbox
Section 1, “ The Toolbox ”
Tool Options
Section 1.1, “ Tool Options ”

Tool Options dialog for the Rectangle Select tool.

Figure 13.1, “

Tool Options dialog for the Rectangle Select tool.

”
Selection Tools
Section 2, “Selection Tools”
Common Features
Section 2.1, “ Common Features ”
The Selection tools
Figure 13.2, “ The Selection tools ”
Key modifiers (Defaults)
Section 2.1.1, “ Key modifiers (Defaults) ”
Options
Section 2.1.2, “ Options ”
Common options of selection tools
Figure 13.3, “ Common options of selection tools ”
Additional information
Section 2.1.3, “ Additional information ”
Rectangle Selection
Section 2.2, “ Rectangle Selection ”
Rectangle Select icon in the Toolbox
Figure 13.4, “ Rectangle Select icon in the Toolbox ”
How to Activate
Section 2.2.1, “ How to Activate ”
Key modifiers
Section 2.2.2, “ Key modifiers ”
Tool manipulation
Section 2.2.3, “ Tool manipulation ”
Example of Rectangle Selection.
Figure 13.5, “ Example of Rectangle Selection. ”
Sensitive selection areas
Figure 13.6, “ Sensitive selection areas ”
Tool Options
Section 2.2.4, “ Tool Options ”
Tool Options for the Rectangle Select tool
Figure 13.7, “ Tool Options for the Rectangle Select tool ”
Ellipse Selection
Section 2.3, “ Ellipse Selection ”
Ellipse Select icon in the Toolbox
Figure 13.8, “ Ellipse Select icon in the Toolbox ”
How to Activate
Section 2.3.1, “ How to Activate ”
Key modifiers
Section 2.3.2, “ Key modifiers ”
Tool handling
Section 2.3.3, “ Tool handling ”
Example of Ellipse Selection.
Figure 13.9, “ Example of Ellipse Selection. ”
Options
Section 2.3.4, “ Options ”
Tool Options for the Ellipse Select tool
Figure 13.10, “ Tool Options for the Ellipse Select tool ”
Free Selection (Lasso)
Section 2.4, “ Free Selection (Lasso) ”
Free Selection icon in the Toolbox
Figure 13.11, “ Free Selection icon in the Toolbox ”
How to Activate
Section 2.4.1, “ How to Activate ”
Key modifiers
Section 2.4.2, “ Key modifiers ”
Tool handling
Section 2.4.3, “ Tool handling ”
Rough selection with the Free Selection tool.
Figure 13.12, “ Rough selection with the Free Selection tool. ”
Options
Section 2.4.4, “ Options ”
Tool Options for the Lasso tool
Figure 13.13, “ Tool Options for the Lasso tool ”
Fuzzy selection (Magic wand)
Section 2.5, “ Fuzzy selection (Magic wand) ”
Magic Wand tool icon in the Toolbox
Figure 13.14, “ Magic Wand tool icon in the Toolbox ”
How to Activate
Section 2.5.1, “ How to Activate ”
Key modifiers (Defaults)
Section 2.5.2, “ Key modifiers (Defaults) ”
Tool handling
Section 2.5.3, “ Tool handling ”

Using Magic Wand tool: selected pixels are contiguous

Figure 13.15, “

Using Magic Wand tool: selected pixels are contiguous

”
Options
Section 2.5.4, “ Options ”
Tool Options for the Magic Wand tool
Figure 13.16, “ Tool Options for the Magic Wand tool ”
Select By Color
Section 2.6, “ Select By Color ”
Select by Color tool icon in the Toolbox
Figure 13.17, “ Select by Color tool icon in the Toolbox ”
How to Activate
Section 2.6.1, “ How to Activate ”
Key modifiers (Defaults)
Section 2.6.2, “ Key modifiers (Defaults) ”
Handling tool
Section 2.6.3, “ Handling tool ”
Using Select by Color tool : selected pixels are not only contiguous
Figure 13.18, “ Using Select by Color tool : selected pixels are not only contiguous ”
Options
Section 2.6.4, “ Options ”
Tool Options for the Select by Color tool
Figure 13.19, “ Tool Options for the Select by Color tool ”
Scissors
Section 2.7, “ Scissors ”

Intelligent Scissors tool icon in the Toolbox.

Figure 13.20, “

Intelligent Scissors tool icon in the Toolbox.

”
How to Activate
Section 2.7.1, “ How to Activate ”
Key modifiers (Defaults)
Section 2.7.2, “ Key modifiers (Defaults) ”
Tool handling
Section 2.7.3, “ Tool handling ”
Using Intelligent Scissors.
Figure 13.21, “ Using Intelligent Scissors. ”
Options
Section 2.7.4, “ Options ”
Tool Options for the Intelligent Scissors
Figure 13.22, “ Tool Options for the Intelligent Scissors ”
Foreground Select
Section 2.8, “ Foreground Select ”

The Foreground Select tool in the Toolbox

Figure 13.23, “

The Foreground Select tool in the Toolbox

”
Directions for use
Section 2.8.1, “ Directions for use ”
The foreground is roughly selected
Figure 13.24, “ The foreground is roughly selected ”
The line drawn on the foreground
Figure 13.25, “ The line drawn on the foreground ”
The area which will be selected
Figure 13.26, “ The area which will be selected ”
Foreground is selected.
Figure 13.27, “ Foreground is selected. ”
Activating the Tool
Section 2.8.2, “ Activating the Tool ”
Key modifiers (Defaults)
Section 2.8.3, “ Key modifiers (Defaults) ”
Options
Section 2.8.4, “ Options ”

Foreground Select tool options

Figure 13.28, “

Foreground Select tool options

”

Contiguous option effect

Figure 13.29, “

Contiguous option effect

”

Smoothing option effect

Figure 13.30, “

Smoothing option effect

”
Brush Tools
Section 3, “ Brush Tools ”
Common Features
Section 3.1, “ Common Features ”
The Paint Tools (Tools menu)
Figure 13.31, “ The Paint Tools (Tools menu) ”
The Paint Tools (Tools Box)
Figure 13.32, “ The Paint Tools (Tools Box) ”
Key modifiers

Section 3.1.1, “ Key modifiers

”
Tool Options
Section 3.1.2, “ Tool Options ”
Tool Options shared by all brush tools
Figure 13.33, “ Tool Options shared by all brush tools ”
Paint Modes
Paint Modes
Dissolve mode example
Figure 13.34, “ Dissolve mode example ”
Painting in Dissolve mode
Figure 13.35, “ Painting in Dissolve mode ”

Example for layer mode Behind

Figure 13.36, “

Example for layer mode Behind

”

Painting in Behind mode

Figure 13.37, “

Painting in Behind mode

”

Example for layer mode Color erase

Figure 13.38, “

Example for layer mode Color erase

”

Painting in Color Erase mode

Figure 13.39, “

Painting in Color Erase mode

”
Jitter example
Figure 13.40, “ Jitter example ”
???TITLE???
Color from Gradient
Gradient options for painting tools.
Figure 13.41, “ Gradient options for painting tools. ”

Illustration of the effects of the three gradient-repeat options, for the Abstract 2 gradient.

Figure 13.42, “

Illustration of the effects of the three gradient-repeat options, for the Abstract 2 gradient.

”
Further Information
Section 3.1.3, “ Further Information ”
Painting Tools (Pencil, Paintbrush, Airbrush)
Section 3.2, “ Painting Tools (Pencil, Paintbrush, Airbrush) ”
Painting example
Figure 13.43, “ Painting example ”
Key modifiers
Section 3.2.1, “ Key modifiers ”
Bucket Fill
Section 3.3, “ Bucket Fill ”
Toolbox Fill
Figure 13.44, “ Toolbox Fill ”
Activate tool
Section 3.3.1, “ Activate tool ”
Key modifiers (Defaults)
Section 3.3.2, “ Key modifiers (Defaults) ”
Options
Section 3.3.3, “ Options ”
Bucket Fill tool options
Figure 13.45, “ Bucket Fill tool options ”

Example for Fill By

Figure 13.46, “

Example for Fill By

”
Fill a feathered selection
Section 3.3.4, “ Fill a feathered selection ”

Example for Fill a feathered Selection

Figure 13.47, “

Example for Fill a feathered Selection

”
Blend
Section 3.4, “ Blend ”
The Blend tool in Toolbox.
Figure 13.48, “ The Blend tool in Toolbox. ”
Activate the Tool
Section 3.4.1, “ Activate the Tool ”
Key modifiers (Defaults)
Section 3.4.2, “ Key modifiers (Defaults) ”
Options
Section 3.4.3, “ Options ”
Blend tool options
Figure 13.49, “ Blend tool options ”

Blend tool: Offset example

Figure 13.50, “

Blend tool: Offset example

”

Examples of gradient shapes

Figure 13.51, “

Examples of gradient shapes

”

Square-shaped gradient examples

Figure 13.52, “

Square-shaped gradient examples

”

Conical gradient examples

Figure 13.53, “

Conical gradient examples

”
Spiral gradient examples
Figure 13.54, “ Spiral gradient examples ”
Pencil
Section 3.5, “ Pencil ”
Pencil tool
Figure 13.55, “ Pencil tool ”
Activating the Tool
Section 3.5.1, “ Activating the Tool ”
Key modifiers (Defaults)
Section 3.5.2, “ Key modifiers (Defaults) ”
Options
Section 3.5.3, “ Options ”
Pencil Tool options
Figure 13.56, “ Pencil Tool options ”
Paintbrush
Section 3.6, “ Paintbrush ”
Paintbrush
Figure 13.57, “ Paintbrush ”
Activating the Tool
Section 3.6.1, “ Activating the Tool ”
Key modifiers (Defaults)
Section 3.6.2, “ Key modifiers (Defaults) ”
Options
Section 3.6.3, “ Options ”
Paintbrush tool options
Figure 13.58, “ Paintbrush tool options ”
Eraser
Section 3.7, “ Eraser ”
Eraser tool icon in the Toolbox
Figure 13.59, “ Eraser tool icon in the Toolbox ”
How to Activate
Section 3.7.1, “ How to Activate ”
Key modifiers
Section 3.7.2, “ Key modifiers ”
Tool Options
Section 3.7.3, “ Tool Options ”
Tool Options for the Eraser tool
Figure 13.60, “ Tool Options for the Eraser tool ”
Tip
Tip
Airbrush Tool
Section 3.8, “ Airbrush Tool ”
The Airbrush tool in Toolbox
Figure 13.61, “ The Airbrush tool in Toolbox ”
Activate the Tool
Section 3.8.1, “ Activate the Tool ”
Key modifiers (Defaults)
Section 3.8.2, “ Key modifiers (Defaults) ”
Options
Section 3.8.3, “ Options ”
Airbrush options
Figure 13.62, “ Airbrush options ”
Ink
Section 3.9, “ Ink ”

The Ink tool in Toolbox

Figure 13.63, “

The Ink tool in Toolbox

”
Activate the Tool
Section 3.9.1, “ Activate the Tool ”
Key modifiers (Defaults)
Section 3.9.2, “ Key modifiers (Defaults) ”
Options
Section 3.9.3, “ Options ”
Ink Tool options
Figure 13.64, “ Ink Tool options ”
Clone
Section 3.10, “ Clone ”
Clone tool icon in the Toolbox
Figure 13.65, “ Clone tool icon in the Toolbox ”
How to Activate
Section 3.10.1, “ How to Activate ”
Key modifiers
Section 3.10.2, “ Key modifiers ”
Tool Options
Section 3.10.3, “ Tool Options ”
Tool Options for the Clone tool
Figure 13.66, “ Tool Options for the Clone tool ”
Original images for clone alignment
Figure 13.67, “ Original images for clone alignment ”

None clone alignment

Figure 13.68, “

None clone alignment

”

Aligned clone alignment

Figure 13.69, “

Aligned clone alignment

”

Registered clone alignment

Figure 13.70, “

Registered clone alignment

”

Fixed clone alignment

Figure 13.71, “

Fixed clone alignment

”
Further Information
Section 3.10.4, “ Further Information ”
Heal
Section 3.11, “ Heal ”
The Heal tool in the Toolbox
Figure 13.72, “ The Heal tool in the Toolbox ”
Activate Tool
Section 3.11.1, “ Activate Tool ”
Key modifiers (Defaults)
Section 3.11.2, “ Key modifiers (Defaults) ”
Options
Section 3.11.3, “ Options ”
Heal Tool options
Figure 13.73, “ Heal Tool options ”
Healing is not cloning
Section 3.11.4, “ Healing is not cloning ”

Comparing Heal and Clone

Figure 13.74, “

Comparing Heal and Clone

”
Perspective Clone
Section 3.12, “ Perspective Clone ”

The Perspective Clone tool in the Toolbox

Figure 13.75, “

The Perspective Clone tool in the Toolbox

”
Activate Tool
Section 3.12.1, “ Activate Tool ”
Key modifiers (Defaults)
Section 3.12.2, “ Key modifiers (Defaults) ”
Options
Section 3.12.3, “ Options ”
Perspective Clone tool options
Figure 13.76, “ Perspective Clone tool options ”
Example
Section 3.12.4, “ Example ”
Perspective Clone example
Figure 13.77, “ Perspective Clone example ”
Convolve (Blur/Sharpen)
Section 3.13, “ Convolve (Blur/Sharpen) ”
Convolve tool icon in the Toolbox
Figure 13.78, “ Convolve tool icon in the Toolbox ”
How to Activate
Section 3.13.1, “ How to Activate ”
Key modifiers
Section 3.13.2, “ Key modifiers ”
Tool Options
Section 3.13.3, “ Tool Options ”
Tool Options for the Convolve tool
Figure 13.79, “ Tool Options for the Convolve tool ”
Smudge
Section 3.14, “ Smudge ”
Smudge tool
Figure 13.80, “ Smudge tool ”
Activate the Tool
Section 3.14.1, “ Activate the Tool ”
Key modifiers (Defaults)
Section 3.14.2, “ Key modifiers (Defaults) ”
Options
Section 3.14.3, “ Options ”
The Smudge tool in Toolbox
Figure 13.81, “ The Smudge tool in Toolbox ”
Dodge or Burn
Section 3.15, “ Dodge or Burn ”
Dodge tool
Figure 13.82, “ Dodge tool ”
Activate the Tool
Section 3.15.1, “ Activate the Tool ”
Key modifiers (Defaults)
Section 3.15.2, “ Key modifiers (Defaults) ”
Options
Section 3.15.3, “ Options ”

Dodge/Burn tool options

Figure 13.83, “

Dodge/Burn tool options

”
Transform Tools
Section 4, “ Transform Tools ”
Common Features
Section 4.1, “ Common Features ”
An overview of the transform tools
Figure 13.84, “ An overview of the transform tools ”
Tool Options
Section 4.1.1, “ Tool Options ”
Common options of transform tools
Figure 13.85, “ Common options of transform tools ”
Original image for examples
Figure 13.86, “ Original image for examples ”
Example for Clip
Figure 13.87, “ Example for Clip ”
Example for Crop to result
Figure 13.88, “ Example for Crop to result ”
Example for Crop with aspect
Figure 13.89, “ Example for Crop with aspect ”
Move
Section 4.2, “ Move ”
The Move tool in Toolbox
Figure 13.90, “ The Move tool in Toolbox ”
Activate the Tool
Section 4.2.1, “ Activate the Tool ”
Options
Section 4.2.2, “ Options ”
Move Tool options
Figure 13.91, “ Move Tool options ”
Summary of Move tool actions
Section 4.2.3, “ Summary of Move tool actions ”
Align
Section 4.3, “ Align ”
The Align tool in the toolbox
Figure 13.92, “ The Align tool in the toolbox ”
Activate the Tool
Section 4.3.1, “ Activate the Tool ”
Key modifiers (Defaults)
Section 4.3.2, “ Key modifiers (Defaults) ”
Options
Section 4.3.3, “ Options ”
Align options
Figure 13.93, “ Align options ”
Example for the Align command
Section 4.3.4, “ Example for the Align command ”
Base image
Figure 13.94, “ Base image ”
Red layer selected
Figure 13.95, “ Red layer selected ”
Red layer aligned
Figure 13.96, “ Red layer aligned ”
Distribute with offset
Figure 13.97, “ Distribute with offset ”
Align using rubber-band box
Figure 13.98, “ Align using rubber-band box ”
Crop
Section 4.4, “ Crop ”
Crop tool
Figure 13.99, “ Crop tool ”
Activate the Tool
Section 4.4.1, “ Activate the Tool ”
Key modifiers (Defaults)
Section 4.4.2, “ Key modifiers (Defaults) ”
Options
Section 4.4.3, “ Options ”

Crop and Resize tool options

Figure 13.100, “

Crop and Resize tool options

”

Example for Allow Growing

Figure 13.101, “

Example for Allow Growing

”

Example for Autoshrink

Figure 13.102, “

Example for Autoshrink

”
Rotate
Section 4.5, “ Rotate ”
The Rotate tool in Toolbox
Figure 13.103, “ The Rotate tool in Toolbox ”
Overview
Section 4.5.1, “ Overview ”
Activate the Tool
Section 4.5.2, “ Activate the Tool ”
Key modifiers (Defaults)
Section 4.5.3, “ Key modifiers (Defaults) ”
Options
Section 4.5.4, “ Options ”
Rotation tool options
Figure 13.104, “ Rotation tool options ”
The Rotation Information window
Section 4.5.5, “ The Rotation Information window ”
The Rotation Information dialog window
Figure 13.105, “ The Rotation Information dialog window ”
Scale
Section 4.6, “ Scale ”
The Scale tool in Toolbox
Figure 13.106, “ The Scale tool in Toolbox ”
Overview
Section 4.6.1, “ Overview ”
Activate the Tool
Section 4.6.2, “ Activate the Tool ”
Key modifiers (Defaults)
Section 4.6.3, “ Key modifiers (Defaults) ”
Options
Section 4.6.4, “ Options ”
Scale tool options
Figure 13.107, “ Scale tool options ”
The Scaling Information dialog window
Section 4.6.5, “ The Scaling Information dialog window ”
The Scaling Information dialog window
Figure 13.108, “ The Scaling Information dialog window ”
Shear
Section 4.7, “ Shear ”
The Shear tool in Toolbox
Figure 13.109, “ The Shear tool in Toolbox ”
Shear example
Figure 13.110, “ Shear example ”
Activate the Tool
Section 4.7.1, “ Activate the Tool ”
Options
Section 4.7.2, “ Options ”
Shear tool options
Figure 13.111, “ Shear tool options ”
Shearing Information
Section 4.7.3, “ Shearing Information ”
Shearing Information window
Figure 13.112, “ Shearing Information window ”
Perspective
Section 4.8, “ Perspective ”
Perspective tool
Figure 13.113, “ Perspective tool ”
Activate the Tool
Section 4.8.1, “ Activate the Tool ”
Options
Section 4.8.2, “ Options ”

Perspective tool options

Figure 13.114, “

Perspective tool options

”

The Information window for perspective transformation

Section 4.8.3, “

The Information window for perspective transformation

”

The dialog window of the Perspective tool

Figure 13.115, “

The dialog window of the Perspective tool

”
Flip
Section 4.9, “ Flip ”
Flip tool
Figure 13.116, “ Flip tool ”
Activating the Tool
Section 4.9.1, “ Activating the Tool ”
Key modifiers (Defaults)
Section 4.9.2, “ Key modifiers (Defaults) ”
Options
Section 4.9.3, “ Options ”
Flip Tool Options

Figure 13.117, “ Flip Tool Options

”
Color Tools
Section 5, “ Color Tools ”
Color Balance
Section 5.1, “ Color Balance ”
Activate the Tool
Section 5.1.1, “ Activate the Tool ”
Options
Section 5.1.2, “ Options ”
Color Balance options
Figure 13.118, “ Color Balance options ”
Hue-Saturation
Section 5.2, “ Hue-Saturation ”
Activate the Tool
Section 5.2.1, “ Activate the Tool ”
Options
Section 5.2.2, “ Options ”
Hue-Saturation tool options
Figure 13.119, “ Hue-Saturation tool options ”

Example for the Overlap option

Figure 13.120, “

Example for the Overlap option

”
Colorize
Section 5.3, “ Colorize ”
Activate the Tool
Section 5.3.1, “ Activate the Tool ”
Options
Section 5.3.2, “ Options ”
Colorize options
Figure 13.121, “ Colorize options ”
Brightness-Contrast tool
Section 5.4, “ Brightness-Contrast tool ”
Activate the Tool
Section 5.4.1, “ Activate the Tool ”
Options
Section 5.4.2, “ Options ”
Brightness-Contrast options dialog
Figure 13.122, “ Brightness-Contrast options dialog ”
Threshold
Section 5.5, “ Threshold ”
Activate the Tool
Section 5.5.1, “ Activate the Tool ”
Options
Section 5.5.2, “ Options ”
Threshold tool options
Figure 13.123, “ Threshold tool options ”

Using Threshold and Quick Mask to create a selection mask

Section 5.5.3, “

Using Threshold and Quick Mask to create a selection mask

”

The original image, the decompose image and its Layer Dialog

Figure 13.124, “

The original image, the decompose image and its Layer Dialog

”
The selected layer after threshold fit
Figure 13.125, “ The selected layer after threshold fit ”
The mask
Figure 13.126, “ The mask ”
The result
Figure 13.127, “ The result ”
Levels
Section 5.6, “ Levels ”
Activate the Tool
Section 5.6.1, “ Activate the Tool ”
Options
Section 5.6.2, “ Options ”
Level tool options
Figure 13.128, “ Level tool options ”
Example for Input Levels
Figure 13.129, “ Example for Input Levels ”
Example for Output Levels
Figure 13.130, “ Example for Output Levels ”
Example for Levels eye-droppers
Figure 13.131, “ Example for Levels eye-droppers ”
Tool Options dialog
Section 5.6.3, “ Tool Options dialog ”
Actual practice
Section 5.6.4, “ Actual practice ”
A very under-exposed image
Figure 13.132, “ A very under-exposed image ”
Setting the white point
Figure 13.133, “ Setting the white point ”

Setting the balance between Shadows and Highlights

Figure 13.134, “

Setting the balance between Shadows and Highlights

”
Curves
Section 5.7, “ Curves ”
Activate the Tool
Section 5.7.1, “ Activate the Tool ”

Adjust Color Curves options

Section 5.7.2, “

Adjust Color Curves options

”

The Adjust Color Curves dialog

Figure 13.135, “

The Adjust Color Curves dialog

”
Using the Curves tool
Section 5.7.3, “ Using the Curves tool ”
How the Curves tool works
Figure 13.136, “ How the Curves tool works ”
Making the curve more horizontal
Figure 13.137, “ Making the curve more horizontal ”
Making the curve more vertical
Figure 13.138, “ Making the curve more vertical ”
Invert colors
Figure 13.139, “ Invert colors ”
Enhance contrast
Figure 13.140, “ Enhance contrast ”
Working on color channels
Figure 13.141, “ Working on color channels ”
Posterize
Section 5.8, “Posterize”
Activate the Tool
Section 5.8.1, “ Activate the Tool ”
Options
Section 5.8.2, “ Options ”
Posterize tool options
Figure 13.142, “ Posterize tool options ”
Example
Section 5.8.3, “ Example ”

Example for the Posterize tool

Figure 13.143, “

Example for the Posterize tool

”
Other
Section 6, “ Other ”
Path
Section 6.1, “ Path ”
Path tool
Figure 13.144, “ Path tool ”
Activating the Tool
Section 6.1.1, “ Activating the Tool ”
Key modifiers (Defaults)
Section 6.1.2, “ Key modifiers (Defaults) ”
Options
Section 6.1.3, “ Options ”

Path tool options

Figure 13.145, “

Path tool options

”
Color Picker
Section 6.2, “ Color Picker ”
Eye dropper
Figure 13.146, “ Eye dropper ”
Activate the Tool
Section 6.2.1, “ Activate the Tool ”
Key modifiers (Defaults)
Section 6.2.2, “ Key modifiers (Defaults) ”
Options
Section 6.2.3, “ Options ”
Color Picker Options
Figure 13.147, “ Color Picker Options ”
Color Picker Info Window
Figure 13.148, “ Color Picker Info Window ”
Magnify
Section 6.3, “ Magnify ”

The Zoom tool in Toolbox

Figure 13.149, “

The Zoom tool in Toolbox

”
Activate the Tool
Section 6.3.1, “ Activate the Tool ”
Key modifiers (Defaults)
Section 6.3.2, “ Key modifiers (Defaults) ”
Options
Section 6.3.3, “ Options ”
Zoom tool options
Figure 13.150, “ Zoom tool options ”
Zoom menu
Section 6.3.4, “ Zoom menu ”
Measure
Section 6.4, “ Measure ”
Measure tool
Figure 13.151, “ Measure tool ”
Status Bar
Section 6.4.1, “ Status Bar ”
Activate the Tool
Section 6.4.2, “ Activate the Tool ”
Key modifiers
Section 6.4.3, “ Key modifiers ”
Options
Section 6.4.4, “ Options ”
Measure tool options
Figure 13.152, “ Measure tool options ”
Measuring surfaces
Section 6.4.5, “ Measuring surfaces ”
Text
Section 6.5, “Text”
The Text tool in Toolbox
Figure 13.153, “ The Text tool in Toolbox ”
Activate the Tool
Section 6.5.1, “ Activate the Tool ”
Options
Section 6.5.2, “ Options ”
Text tool options
Figure 13.154, “ Text tool options ”

Text along Path example

Figure 13.155, “

Text along Path example

”
Text Editor
Section 6.5.3, “ Text Editor ”
The Text Editor options
Figure 13.156, “ The Text Editor options ”
Color and Indicator Area
Section 7, “ Color and Indicator Area ”
Color Area
Section 7.1, “ Color Area ”

Color area in the Toolbox Palette

Figure 13.157, “

Color area in the Toolbox Palette

”
???TITLE???
Default colors
???TITLE???
Swap FG/BG colors
Indicator Area
Section 7.2, “ Indicator Area ”
Active tool indicator area

Figure 13.158, “ Active tool indicator area

”
Active image Area
Section 7.3, “ Active image Area ”
Current image in the toolbox

Figure 13.159, “ Current image in the toolbox

”
A Direct Save Protocol (XDS) dialog

Figure 13.160, “ A Direct Save Protocol (XDS) dialog

”
Dialogs
Chapter 14, Dialogs
Dialog Introduction
Section 1, “ Dialog Introduction ”
Image Structure Related Dialogs
Section 2, “ Image Structure Related Dialogs ”
Layers Dialog
Section 2.1, “ Layers Dialog ”
Layer Dialog
Figure 14.1, “ Layer Dialog ”
An image with layers
Figure 14.2, “ An image with layers ”
Activate Dialog
Section 2.1.1, “ Activate Dialog ”
Using the Layerdialog
Section 2.1.2, “ Using the Layerdialog ”
???TITLE???
Layer attributes
???TITLE???
Visible layer
???TITLE???
Linked layers
???TITLE???
Layer modes
???TITLE???
Lock Alpha channel

Example for Lock Alpha channel

Figure 14.3, “

Example for Lock Alpha channel

”
???TITLE???
???TITLE???
New layer
Layer masks
Section 2.1.3, “ Layer masks ”
Add mask dialog
Figure 14.4, “ Add mask dialog ”
A layer with layer mask
Figure 14.5, “ A layer with layer mask ”
Painting the layer mask
Figure 14.6, “ Painting the layer mask ”
Channels Dialog
Section 2.2, “ Channels Dialog ”
The Channel dialog
Figure 14.7, “ The Channel dialog ”
Representation of an image with channels
Figure 14.8, “ Representation of an image with channels ”
Calling the Dialog
Section 2.2.1, “ Calling the Dialog ”
Using the Channel dialog
Section 2.2.2, “ Using the Channel dialog ”
Overview
Section 2.2.2.1, “ Overview ”
Channel attributes
Section 2.2.2.2, “ Channel attributes ”
Managing channels
Section 2.2.2.3, “ Managing channels ”
???TITLE???
Edit channel attributes,
???TITLE???
New channel
???TITLE???
???
???TITLE???
???
???TITLE???
???
???TITLE???
???
???TITLE???
???TITLE???
???TITLE???
???TITLE???
???
Channels Context Menu
Section 2.2.2.4, “ Channels Context Menu ”
Channels Menu
Figure 14.9, “ Channels Menu ”
Selection masks
Section 2.2.3, “ Selection masks ”
A selection composed out of channels.
Figure 14.10, “ A selection composed out of channels. ”
Using Selection Masks
Section 2.2.3.1, “ Using Selection Masks ”
Quick Mask
Section 2.2.4, “ Quick Mask ”
Dialog Quick Mask
Figure 14.11, “ Dialog Quick Mask ”
Activate dialog
Section 2.2.4.1, “ Activate dialog ”
Creating a Quick Mask
Section 2.2.4.2, “ Creating a Quick Mask ”
Using Quick Mask's
Section 2.2.4.3, “ Using Quick Mask's ”
Usage
Section 2.2.4.4, “ Usage ”
Path Dialog
Section 2.3, “ Path Dialog ”
The Paths dialog
Figure 14.12, “ The Paths dialog ”
Activate dialog
Section 2.3.1, “ Activate dialog ”
Using the Paths dialog
Section 2.3.2, “ Using the Paths dialog ”
Buttons
Section 2.3.3, “ Buttons ”
The Paths sub-menu
Section 2.3.4, “ The Paths sub-menu ”
The Paths sub-menu
Figure 14.13, “ The Paths sub-menu ”
???TITLE???
???
???TITLE???
???
???TITLE???
???
???TITLE???
???
???TITLE???
???
???TITLE???
???
???TITLE???
???
???TITLE???
???
???TITLE???
???
???TITLE???
???
???TITLE???
???
???TITLE???
???
???TITLE???
???
???TITLE???
???
???TITLE???
???
Colormap Dialog
Section 2.4, “ Colormap Dialog ”

An indexed image with 6 colors and its Colormap dialog

Figure 14.14, “

An indexed image with 6 colors and its Colormap dialog

”
Activate dialog
Section 2.4.1, “ Activate dialog ”
Colormaps and Indexed Images
Section 2.4.2, “ Colormaps and Indexed Images ”
Using the Colormap dialog
Section 2.4.3, “ Using the Colormap dialog ”
???TITLE???
???
???TITLE???
???
The Colormap context menu
Section 2.4.4, “ The Colormap context menu ”
The Colormap context menu
Figure 14.15, “ The Colormap context menu ”

The Rearrange Colormap window and its sub-menu

Figure 14.16, “

The Rearrange Colormap window and its sub-menu

”
Histogram dialog
Section 2.5, “ Histogram dialog ”
The Histogram dialog
Figure 14.17, “ The Histogram dialog ”
Dialog call
Section 2.5.1, “ Dialog call ”
About Histograms
Section 2.5.2, “ About Histograms ”
Using the Histogram dialog
Section 2.5.3, “ Using the Histogram dialog ”

Channel options for an RGB layer with alpha channel.

Figure 14.18, “

Channel options for an RGB layer with alpha channel.

”

Combined histograms of R, G, and B channels.

Figure 14.19, “

Combined histograms of R, G, and B channels.

”

The histogram shown at the top, changed to logarithmic mode.

Figure 14.20, “

The histogram shown at the top, changed to logarithmic mode.

”
Dialog aspect after range fixing.
Figure 14.21, “ Dialog aspect after range fixing. ”
Navigation Dialog
Section 2.6, “ Navigation Dialog ”
Navigation Dialog
Figure 14.22, “ Navigation Dialog ”
Activate the dialog
Section 2.6.1, “ Activate the dialog ”
Using the Navigation Dialog
Section 2.6.2, “ Using the Navigation Dialog ”
Undo History Dialog
Section 2.7, “ Undo History Dialog ”
The Undo History dialog
Figure 14.23, “ The Undo History dialog ”
Activate the dialog
Section 2.7.1, “ Activate the dialog ”
Using the Undo History dialog
Section 2.7.2, “ Using the Undo History dialog ”
Image-content Related Dialogs
Section 3, “ Image-content Related Dialogs ”
The FG/BG Color Dialog
Section 3.1, “ The FG/BG Color Dialog ”

The FG/BG Color Dialog

Figure 14.24, “

The FG/BG Color Dialog

”
Activate Dialog
Section 3.1.1, “ Activate Dialog ”
Using the FG/BG color dialog
Section 3.1.2, “ Using the FG/BG color dialog ”
???TITLE???
GIMP Selector
???TITLE???
CMYK
???TITLE???
Triangle
???TITLE???
Watercolor
???TITLE???
Palette
???TITLE???
Scales
CSS keywords example
Figure 14.25, “ CSS keywords example ”
Brushes Dialog
Section 3.2, “ Brushes Dialog ”
The Brushes dialog
Figure 14.26, “ The Brushes dialog ”
Activate Dialog
Section 3.2.1, “ Activate Dialog ”
Using the Brushes dialog
Section 3.2.2, “ Using the Brushes dialog ”
Grid/List mode
Section 3.2.2.1, “ Grid/List mode ”
Grid/List view
Figure 14.27, “ Grid/List view ”
Brushes previews
Section 3.2.2.2, “ Brushes previews ”
The Brushes dialog
Figure 14.28, “ The Brushes dialog ”
Buttons at the bottom
Section 3.2.2.3, “ Buttons at the bottom ”
???TITLE???
???
???TITLE???
???
???TITLE???
???
???TITLE???
???
The Brushes context menu
Section 3.2.2.4, “ The Brushes context menu ”
The Brushes context menu
Figure 14.29, “ The Brushes context menu ”
Brush Editor
Section 3.2.3, “ Brush Editor ”
The Brushes Editor dialog
Figure 14.30, “ The Brushes Editor dialog ”
The Clipboard Brush
Section 3.2.4, “ The Clipboard Brush ”
A new Clipboard Brush
Figure 14.31, “ A new Clipboard Brush ”
Patterns Dialog
Section 3.3, “ Patterns Dialog ”
Activate Dialog
Section 3.3.1, “ Activate Dialog ”
Using the pattern dialog
Section 3.3.2, “ Using the pattern dialog ”
The Patterns dialog
Figure 14.32, “ The Patterns dialog ”
???TITLE???
???
???TITLE???
???
???TITLE???
???
The Pattern context menu
Section 3.3.3, “ The Pattern context menu ”
The Clipboard pattern
Section 3.3.4, “ The Clipboard pattern ”
A new Clipboard Pattern
Figure 14.33, “ A new Clipboard Pattern ”
Gradients Dialog
Section 3.4, “ Gradients Dialog ”

The screenshot illustrates the Gradients dialog

Figure 14.34, “

The screenshot illustrates the Gradients dialog

”
Activate Dialog
Section 3.4.1, “ Activate Dialog ”
Using the Gradients dialog
Section 3.4.2, “ Using the Gradients dialog ”
???TITLE???
???
???TITLE???
???
???TITLE???
???
???TITLE???
???
The Gradients Menu
Figure 14.35, “ The Gradients Menu ”
???TITLE???
Save as POV-Ray...
???TITLE???
Copy Gradient Location
???TITLE???
Custom Gradient...
The Gradient Editor
Section 3.4.3, “ The Gradient Editor ”
???TITLE???
???
The gradient editor
Figure 14.36, “ The gradient editor ”
How to Activate the Gradient Editor
Section 3.4.3.1, “ How to Activate the Gradient Editor ”
Display
Section 3.4.3.2, “ Display ”
???TITLE???
???
???TITLE???
???
???TITLE???
???
The Gradient Editor pop-up Menu
Section 3.4.3.3, “ The Gradient Editor pop-up Menu ”
The Gradient Editor pop-up menu
Figure 14.37, “ The Gradient Editor pop-up menu ”
The Left/Right color type sub-menu
Figure 14.38, “ The Left/Right color type sub-menu ”
???TITLE???
???
???TITLE???
???
???TITLE???
???
???TITLE???
???
The "Load Color From" submenu
Figure 14.39, “ The "Load Color From" submenu ”
???TITLE???
???
???TITLE???
???
???TITLE???
???
The Blending Function submenu
Figure 14.40, “ The Blending Function submenu ”
???TITLE???
???
The Coloring Type submenu
Figure 14.41, “ The Coloring Type submenu ”
???TITLE???
???
???TITLE???
???
???TITLE???
???
???TITLE???
???
???TITLE???
???
???TITLE???
???
???TITLE???
???
???TITLE???
???
???TITLE???
???
Using example for the Gradient Editor
Section 3.4.3.4, “ Using example for the Gradient Editor ”
New gradient
Figure 14.42, “ New gradient ”
Gradient with three segments
Figure 14.43, “ Gradient with three segments ”
First segment colored
Figure 14.44, “ First segment colored ”
Palettes Dialog
Section 3.5, “ Palettes Dialog ”
Activate Dialog
Section 3.5.1, “ Activate Dialog ”
Using the Palettes dialog
Section 3.5.2, “ Using the Palettes dialog ”
The Palettes dialog
Figure 14.45, “ The Palettes dialog ”
???TITLE???
New Palette
The Palettes pop-menu
Section 3.5.3, “ The Palettes pop-menu ”
The Palettes pop-menu
Figure 14.46, “ The Palettes pop-menu ”
???TITLE???
Edit Palette
???TITLE???
New Palette
???TITLE???
Import Palette
The Import Palette dialog
Figure 14.47, “ The Import Palette dialog ”
???TITLE???
Duplicate Palette
???TITLE???
Merge Palettes
???TITLE???
Copy Palette Location
???TITLE???
Delete Palette
???TITLE???
Refresh Palettes
???TITLE???
Offset Palette...

The Offset Palettedialog

Figure 14.48, “

The Offset Palettedialog

”

Offset Palette examples

Figure 14.49, “

Offset Palette examples

”
???TITLE???
Palette to gradient
???TITLE???
Palette to Repeating Gradient

Palette to repeating gradient examples

Figure 14.50, “

Palette to repeating gradient examples

”
???TITLE???
Sort Palette...
The Sort Palettedialog
Figure 14.51, “ The Sort Palettedialog ”
Palette Editor
Section 3.5.4, “ Palette Editor ”
The Palette Editor
Figure 14.52, “ The Palette Editor ”
How to Activate the Palette Editor
Section 3.5.4.1, “ How to Activate the Palette Editor ”
Using the Palette Editor
Section 3.5.4.2, “ Using the Palette Editor ”
The Palette Editor pop-menu
Section 3.5.5, “ The Palette Editor pop-menu ”
The Palette Editor pop-menu
Figure 14.53, “ The Palette Editor pop-menu ”
???TITLE???
Edit Color
???TITLE???
New Color from FG; New Color from BG
???TITLE???
Delete Color
???TITLE???
Zoom Out
???TITLE???
Zoom In
???TITLE???
Zoom All
???TITLE???
Edit Active Palette
Fonts Dialog
Section 3.6, “ Fonts Dialog ”
The Fonts dialog
Figure 14.54, “ The Fonts dialog ”
Activate Dialog
Section 3.6.1, “ Activate Dialog ”
Using the Fonts dialog
Section 3.6.2, “ Using the Fonts dialog ”
The Fonts dialog Šriftų dialogas
Figure 14.55, “ The Fonts dialog Šriftų dialogas ”
???TITLE???
Refresh font list
Image Management Related Dialogs
Section 4, “ Image Management Related Dialogs ”
Buffers Dialog
Section 4.1, “ Buffers Dialog ”
The Buffers dialog (as a list)
Figure 14.56, “ The Buffers dialog (as a list) ”
Activate Dialog
Section 4.1.1, “ Activate Dialog ”
Using the Buffers dialog
Section 4.1.2, “ Using the Buffers dialog ”
The Buffers Menu
Figure 14.57, “ The Buffers Menu ”
The Buffers dialog (Grid View)
Figure 14.58, “ The Buffers dialog (Grid View) ”
Buttons at the bottom
Section 4.1.2.1, “ Buttons at the bottom ”
???TITLE???
???
???TITLE???
???
???TITLE???
???
???TITLE???
???
Context menu
Section 4.1.2.2, “ Context menu ”

The Buffers context menu

Figure 14.59, “

The Buffers context menu

”
Images Dialog
Section 4.2, “ Images Dialog ”
The Images dialog
Figure 14.60, “ The Images dialog ”
Activate Dialog
Section 4.2.1, “ Activate Dialog ”
Using the Images dialog
Section 4.2.2, “ Using the Images dialog ”
Document History Dialog
Section 4.3, “ Document History Dialog ”
Document History dialog
Figure 14.61, “ Document History dialog ”
Activate Dialog
Section 4.3.1, “ Activate Dialog ”
Options
Section 4.3.2, “ Options ”
Templates Dialog
Section 4.4, “ Templates Dialog ”
The Templates dialog
Figure 14.62, “ The Templates dialog ”
Activate Dialog
Section 4.4.1, “ Activate Dialog ”
Using the Templates dialog
Section 4.4.2, “ Using the Templates dialog ”
Grid/List modes
Section 4.4.2.1, “ Grid/List modes ”
Buttons at the bottom
Section 4.4.2.2, “ Buttons at the bottom ”
Edit Template
Section 4.4.3, “ Edit Template ”
The Edit Template dialog
Figure 14.63, “ The Edit Template dialog ”
The Advanced Options dialog
Figure 14.64, “ The Advanced Options dialog ”
Misc. Dialogs
Section 5, “ Misc. Dialogs ”
Tools Dialog
Section 5.1, “ Tools Dialog ”
The Tools dialog
Figure 14.65, “ The Tools dialog ”
Grid/List modes
Section 5.1.1, “ Grid/List modes ”
Using the Tools dialog
Section 5.1.2, “ Using the Tools dialog ”
Device Status Dialog
Section 5.2, “ Device Status Dialog ”
The device Status Dialog
Figure 14.66, “ The device Status Dialog ”
Activate Dialog
Section 5.2.1, “ Activate Dialog ”
Error Console
Section 5.3, “ Error Console ”
Activate Dialog
Section 5.3.1, “ Activate Dialog ”

The Error Console Dialog

Section 5.3.2, “

The Error Console Dialog

”
Error Console Dialog window
Figure 14.67, “ Error Console Dialog window ”

Save Error Log to file Dialog window

Figure 14.68, “

Save Error Log to file Dialog window

”
Export File
Section 5.4, “ Export File ”
Saving as PNG
Figure 14.69, “ Saving as PNG ”
The JPEG Save dialog
Figure 14.70, “ The JPEG Save dialog ”
Export MNG File Dialog
Figure 14.71, “ Export MNG File Dialog ”
Export GIF File Dialog
Figure 14.72, “ Export GIF File Dialog ”
Sample Points Dialog
Section 5.5, “ Sample Points Dialog ”
Activate Dialog
Section 5.5.1, “ Activate Dialog ”
Using sample points
Section 5.5.2, “ Using sample points ”
The Sample Point menu
Figure 14.73, “ The Sample Point menu ”

Sample Points dialog description

Section 5.5.3, “

Sample Points dialog description

”
Sample points dialog
Figure 14.74, “ Sample points dialog ”
Pointer Dialog
Section 5.6, “ Pointer Dialog ”
Pointer dialog
Figure 14.75, “ Pointer dialog ”
Activate Dialog
Section 5.6.1, “ Activate Dialog ”
Pointer dialog options
Section 5.6.2, “ Pointer dialog options ”
Menus
Chapter 15, Menus

Introduction to Menus

Section 1, “

Introduction to Menus

”
The Toolbox Menu
Figure 15.1, “ The Toolbox Menu ”
Context Menus
Section 1.1, “ Context Menus ”
Detachable Submenus
Section 1.2, “ Detachable Submenus ”

The Acquire submenu and its detached submenu

Figure 15.2, “

The Acquire submenu and its detached submenu

”
The Toolbox File Menu
Section 2, “ The Toolbox File Menu ”

The File Menu of the Toolbox

Section 2.1, “

The File Menu of the Toolbox

”
Contents of the File menu
Figure 15.3, “ Contents of the File menu ”
Acquire
Section 2.2, “ Acquire ”

The Acquire submenu of the Toolbox File menu

Figure 15.4, “

The Acquire submenu of the Toolbox File menu

”
Activating the Submenu
Section 2.2.1, “ Activating the Submenu ”
Submenu entries
Section 2.2.2, “ Submenu entries ”
???TITLE???
???
The Screen Shot window
Figure 15.5, “ The Screen Shot window ”
???TITLE???
???
Scanner and Webcam
Figure 15.6, “ Scanner and Webcam ”
The Preferences Command
Section 2.3, “ The Preferences Command ”
Activate Command
Section 2.3.1, “ Activate Command ”
The Dialogs Sub-Menu
Section 2.4, “ The Dialogs Sub-Menu ”
The Dialogs submenu of the Toolbox File menu

Figure 15.7, “ The Dialogs submenu of the Toolbox File menu

”
Accessing the Dialogs Submenu
Section 2.4.1, “ Accessing the Dialogs Submenu ”
The Xtns Menu
Section 3, “ The Xtns Menu ”
Introduction to the Xtns Menu
Section 3.1, “ Introduction to the Xtns Menu ”
Contents of the Xtns menu
Figure 15.8, “ Contents of the Xtns menu ”
The Module Manager
Section 3.2, “ The Module Manager ”
Activating the Command
Section 3.2.1, “ Activating the Command ”

Description of the Module Manager Dialog

Section 3.2.2, “

Description of the Module Manager Dialog

”

The Module Manager dialog window

Figure 15.9, “

The Module Manager dialog window

”

Autoload example: Color selector modules

Figure 15.10, “

Autoload example: Color selector modules

”
The Unit Editor
Section 3.3, “ The Unit Editor ”
Activating the Command
Section 3.3.1, “ Activating the Command ”

Description of the Unit Editor dialog window

Section 3.3.2, “

Description of the Unit Editor dialog window

”

The Unit Editor dialog window

Figure 15.11, “

The Unit Editor dialog window

”
Defining New Units
Section 3.3.3, “ Defining New Units ”
The New Unit dialog
Figure 15.12, “ The New Unit dialog ”
Plug-In Browser
Section 3.4, “ Plug-In Browser ”
Activating the Command
Section 3.4.1, “ Activating the Command ”

Description of the Plug-In Browser dialog window

Section 3.4.2, “

Description of the Plug-In Browser dialog window

”

The list view of the Plug-In Browser dialog window

Figure 15.13, “

The list view of the Plug-In Browser dialog window

”

The tree view of the Plug-In Browser dialog window

Figure 15.14, “

The tree view of the Plug-In Browser dialog window

”
The Procedure Browser
Section 3.5, “ The Procedure Browser ”
Activating the Command
Section 3.5.1, “ Activating the Command ”

Description of the Procedure Browser dialog window

Section 3.5.2, “

Description of the Procedure Browser dialog window

”

The Procedure Browser dialog window

Figure 15.15, “

The Procedure Browser dialog window

”
The Script-Fu Submenu
Section 3.6, “ The Script-Fu Submenu ”

The Script-Fu submenu of the Xtns menu

Figure 15.16, “

The Script-Fu submenu of the Xtns menu

”
Activate the submenu
Section 3.6.1, “ Activate the submenu ”
The Help Menu
Section 4, “ The Help Menu ”
Introduction to the Help Menu
Section 4.1, “ Introduction to the Help Menu ”
Contents of the Help menu
Figure 15.17, “ Contents of the Help menu ”
Help
Section 4.2, “ Help ”
Activating the Command
Section 4.2.1, “ Activating the Command ”
Context Help
Section 4.3, “ Context Help ”
Activating the Command
Section 4.3.1, “ Activating the Command ”
Tip of the Day
Section 4.4, “ Tip of the Day ”
Activating the Command
Section 4.4.1, “ Activating the Command ”
Description of the dialog window
Section 4.4.2, “ Description of the dialog window ”
Tip of the dayDialog window
Figure 15.18, “ Tip of the dayDialog window ”
About
Section 4.5, “ About ”
Activating the About Command
Section 4.5.1, “ Activating the About Command ”
Description of the dialog window
Section 4.5.2, “ Description of the dialog window ”
The About dialog window
Figure 15.19, “ The About dialog window ”
GIMP online
Section 4.6, “ GIMP online ”

The GIMP online submenu of the Help menu

Figure 15.20, “

The GIMP online submenu of the Help menu

”
The File Menu
Section 5, “ The File Menu ”
File menu
Section 5.1, “ File menu ”
The File menu of the image window
Figure 15.21, “ The File menu of the image window ”
The File menu of the Toolbox
Figure 15.22, “ The File menu of the Toolbox ”
New
Section 5.2, “ New ”
Activate Command
Section 5.2.1, “ Activate Command ”
Basic Options
Section 5.2.2, “ Basic Options ”
The New Image dialog
Figure 15.23, “ The New Image dialog ”

The Template dialog

Figure 15.24, “

The Template dialog

”
Advanced Options
Section 5.2.3, “ Advanced Options ”
New Image dialog (Advanced Options)
Figure 15.25, “ New Image dialog (Advanced Options) ”
Colorspace menu
Figure 15.26, “ Colorspace menu ”
Fill menu
Figure 15.27, “ Fill menu ”
Open
Section 5.3, “ Open ”
Activate Dialog
Section 5.3.1, “ Activate Dialog ”
File browsing
Section 5.3.2, “ File browsing ”
Open Dialog
Figure 15.28, “ Open Dialog ”
???TITLE???
2
Open Location
Section 5.4, “ Open Location ”
Activate Command
Section 5.4.1, “ Activate Command ”
Description of the dialog window
Section 5.4.2, “ Description of the dialog window ”

The Open Location dialog window

Figure 15.29, “

The Open Location dialog window

”
Open Recent
Section 5.5, “ Open Recent ”
Activate Command
Section 5.5.1, “ Activate Command ”
Open as Layer
Section 5.6, “ Open as Layer ”
Activate Command
Section 5.6.1, “ Activate Command ”
Save
Section 5.7, “ Save ”
???TITLE???
???
???TITLE???
???
Activating the Dialog
Section 5.7.1, “ Activating the Dialog ”
Save as
Section 5.8, “ Save as ”
Activate Command
Section 5.8.1, “ Activate Command ”

The Basic Save as Dialog
Section 5.8.2, “

The Basic Save as Dialog ”

The basic File Save dialog
Figure 15.30, “

The basic File Save dialog ”

The Save Dialog with a Browser
Section 5.8.3, “

The Save Dialog with a Browser ”

The Save Dialog (Browser)
Figure 15.31, “

The Save Dialog (Browser) ”
Save a Copy
Section 5.9, “ Save a Copy ”
Activate Command
Section 5.9.1, “ Activate Command ”
Save as Template
Section 5.10, “ Save as Template ”
Activate Command
Section 5.10.1, “ Activate Command ”
Revert
Section 5.11, “ Revert ”
Activate Command
Section 5.11.1, “ Activate Command ”
Print
Section 5.12, “ Print ”
The Print dialog
Figure 15.32, “ The Print dialog ”
Activate Command
Section 5.12.1, “ Activate Command ”
Close
Section 5.13, “ Close ”
???TITLE???
???
Activating the Command
Section 5.13.1, “ Activating the Command ”
Close all
Section 5.14, “ Close all ”
Quit
Section 5.15, “ Quit ”
???TITLE???
???
Activate Command
Section 5.15.1, “ Activate Command ”
The Edit Menu
Section 6, “ The Edit Menu ”
Edit Menu Entries
Section 6.1, “ Edit Menu Entries ”
Contents of the Edit Menu
Figure 15.33, “ Contents of the Edit Menu ”
Undo
Section 6.2, “ Undo ”
Activating the Command
Section 6.2.1, “ Activating the Command ”
Redo
Section 6.3, “ Redo ”
Activating the Command
Section 6.3.1, “ Activating the Command ”
Fade...
Section 6.4, “ Fade... ”
Activate Dialog
Section 6.4.1, “ Activate Dialog ”
Options
Section 6.4.2, “ Options ”
The Fade dialog
Figure 15.34, “ The Fade dialog ”
Undo History
Section 6.5, “ Undo History ”
Activating the Command
Section 6.5.1, “ Activating the Command ”
Cut
Section 6.6, “ Cut ”
Activating the Command
Section 6.6.1, “ Activating the Command ”
Copy
Section 6.7, “ Copy ”
Activating the Command
Section 6.7.1, “ Activating the Command ”
Copy Visible
Section 6.8, “ Copy Visible ”
Activating the Command
Section 6.8.1, “ Activating the Command ”
Paste
Section 6.9, “ Paste ”
Activating the Command
Section 6.9.1, “ Activating the Command ”
Paste Into
Section 6.10, “ Paste Into ”
Activating the Command
Section 6.10.1, “ Activating the Command ”
Paste as...
Section 6.11, “ Paste as... ”
The Paste as... sub-menu
Figure 15.35, “ The Paste as... sub-menu ”
Paste as New Image
Section 6.11.1, “ Paste as New Image ”
Activating the Command
Section 6.11.1.1, “ Activating the Command ”
Paste as New Brush
Section 6.11.2, “ Paste as New Brush ”
Options
Section 6.11.2.1, “ Options ”
The New Brushdialog
Figure 15.36, “ The New Brushdialog ”
Activating the Command
Section 6.11.2.2, “ Activating the Command ”
Paste as New Pattern
Section 6.11.3, “ Paste as New Pattern ”
Options
Section 6.11.3.1, “ Options ”
The New Patterndialog
Figure 15.37, “ The New Patterndialog ”
Activating the Command
Section 6.11.3.2, “ Activating the Command ”
Buffers
Section 6.12, “ Buffers ”

The Buffer submenu of the Edit menu
Figure 15.38, “

The Buffer submenu of the Edit menu ”
Activating the Submenu
Section 6.12.1, “ Activating the Submenu ”
Sub-menu entries
Section 6.12.2, “ Sub-menu entries ”
Clear
Section 6.13, “ Clear ”
Activating the Command
Section 6.13.1, “ Activating the Command ”
Fill with FG Color
Section 6.14, “ Fill with FG Color ”
Activating the Command
Section 6.14.1, “ Activating the Command ”
Fill with BG Color
Section 6.15, “ Fill with BG Color ”
Activating the Command
Section 6.15.1, “ Activating the Command ”
Fill with Pattern
Section 6.16, “ Fill with Pattern ”
Activating the Command
Section 6.16.1, “ Activating the Command ”
Stroke Selection
Section 6.17, “ Stroke Selection ”
Activating the Command
Section 6.17.1, “ Activating the Command ”
The Stroke Selection dialog
Section 6.17.2, “ The Stroke Selection dialog ”
Stroke Path
Section 6.18, “ Stroke Path ”
Activating the Command
Section 6.18.1, “ Activating the Command ”
Description of the Dialog Window
Section 6.18.2, “ Description of the Dialog Window ”

The Choose Stroke Style dialog window

Figure 15.39, “

The Choose Stroke Style dialog window

”
Example of miter limit
Figure 15.40, “ Example of miter limit ”
The Select Menu
Section 7, “ The Select Menu ”

Introduction to the Select Menu

Section 7.1, “

Introduction to the Select Menu

”

The Contents of the Select menu

Figure 15.41, “

The Contents of the Select menu

”
Select All
Section 7.2, “ Select All ”
Activating the Command
Section 7.2.1, “ Activating the Command ”
None
Section 7.3, “ None ”
Activating the Command
Section 7.3.1, “ Activating the Command ”
Invert
Section 7.4, “ Invert ”
Activate the Command
Section 7.4.1, “ Activate the Command ”
Float
Section 7.5, “ Float ”
Activating the Command
Section 7.5.1, “ Activating the Command ”
By Color
Section 7.6, “ By Color ”
Activating the Command
Section 7.6.1, “ Activating the Command ”
From Path
Section 7.7, “ From Path ”
Activating the Command
Section 7.7.1, “ Activating the Command ”
Selection Editor
Section 7.8, “ Selection Editor ”
Activating the Command
Section 7.8.1, “ Activating the Command ”

Description of the Selection Editor dialog window

Section 7.8.2, “

Description of the Selection Editor dialog window

”

The Selection Editor dialog window

Figure 15.42, “

The Selection Editor dialog window

”

Example of clicking in the Selection Editor display window

Figure 15.43, “

Example of clicking in the Selection Editor display window

”

The Selection to Path Advanced Settings dialog

Section 7.8.3, “

The Selection to Path Advanced Settings dialog

”

The Advanced Settings dialog window

Figure 15.44, “

The Advanced Settings dialog window

”
Feather
Section 7.9, “ Feather ”
Activating the Command
Section 7.9.1, “ Activating the Command ”

Description of the Feather Selection dialog window

Section 7.9.2, “

Description of the Feather Selection dialog window

”

The Feather Selection dialog

Figure 15.45, “

The Feather Selection dialog

”
Sharpen
Section 7.10, “ Sharpen ”
Activating the Command
Section 7.10.1, “ Activating the Command ”
Shrink
Section 7.11, “ Shrink ”
Activating the Command
Section 7.11.1, “ Activating the Command ”

Description of the Shrink dialog

Section 7.11.2, “

Description of the Shrink dialog

”

The Shrink Selection dialog
Figure 15.46, “

The Shrink Selection dialog ”
Grow
Section 7.12, “ Grow ”
Activating the Command
Section 7.12.1, “ Activating the Command ”

Description of the Grow Selection dialog

Section 7.12.2, “

Description of the Grow Selection dialog

”

The Grow Selection dialog window

Figure 15.47, “

The Grow Selection dialog window

”
A Peculiarity of Rectangular Selections
Section 7.12.3, “ A Peculiarity of Rectangular Selections ”

Why growing a rectangular selection results in rounded corners

Figure 15.48, “

Why growing a rectangular selection results in rounded corners

”
Border
Section 7.13, “ Border ”

Example of creating a border from a selection

Figure 15.49, “

Example of creating a border from a selection

”
Activating the Command
Section 7.13.1, “ Activating the Command ”

Description of the Border dialog window

Section 7.13.2, “

Description of the Border dialog window

”
The Border dialog window
Figure 15.50, “ The Border dialog window ”

Select border with and without Lock to image edges

Figure 15.51, “

Select border with and without Lock to image edges

”
Rounded Rectangle
Section 7.14, “ Rounded Rectangle ”
Activating the Command
Section 7.14.1, “ Activating the Command ”

Description of the Rounded Rectangle Dialog Window

Descripción de la ventana del diálogo Rectángulo redondeado

Section 7.14.2, “

Description of the Rounded Rectangle Dialog Window

Descripción de la ventana del diálogo Rectángulo redondeado

”

The Rounded Rectangle dialog

Figure 15.52, “

The Rounded Rectangle dialog

”
Toggle QuickMask
Section 7.15, “ Toggle QuickMask ”
Activate Dialog
Section 7.15.1, “ Activate Dialog ”
Save to Channel
Section 7.16, “ Save to Channel ”
Activate the Command
Section 7.16.1, “ Activate the Command ”
To Path
Section 7.17, “ To Path ”
Activating the Command
Section 7.17.1, “ Activating the Command ”
The View Menu
Section 8, “ The View Menu ”

Introduction to the View Menu

Section 8.1, “

Introduction to the View Menu

”
Contents of the View menu
Figure 15.53, “ Contents of the View menu ”
New View
Section 8.2, “ New View ”
Activating the Command
Section 8.2.1, “ Activating the Command ”
Dot for Dot
Section 8.3, “ Dot for Dot ”
Activating the Command
Section 8.3.1, “ Activating the Command ”
Zoom
Section 8.4, “ Zoom ”

The Zoom submenu of the View menu

Figure 15.54, “

The Zoom submenu of the View menu

”
Activate the Submenu
Section 8.4.1, “ Activate the Submenu ”

Contents of the Zoom submenu

Section 8.4.2, “

Contents of the Zoom submenu

”
???TITLE???
Revert Zoom
???TITLE???
Zoom Out
???TITLE???
Zoom In
???TITLE???
Fit Image in Window
???TITLE???
Fit Image to Window
???TITLE???
Fit Image to Window
???TITLE???
A:B (X%)
???TITLE???
Other
Shrink Wrap
Section 8.5, “ Shrink Wrap ”
Activating the Command
Section 8.5.1, “ Activating the Command ”
Full Screen
Section 8.6, “ Full Screen ”
Activating the Command
Section 8.6.1, “ Activating the Command ”
Navigation Window
Section 8.7, “ Navigation Window ”
Activating the Command
Section 8.7.1, “ Activating the Command ”
Display Filters
Section 8.8, “ Display Filters ”
Activating the Command
Section 8.8.1, “ Activating the Command ”

Description of the Display Filters Dialog

Section 8.8.2, “

Description of the Display Filters Dialog

”

The Configure Color Display Filters dialog

Figure 15.55, “

The Configure Color Display Filters dialog

”
Color Deficient Vision
Section 8.8.3, “ Color Deficient Vision ”

Description of the Color Deficient Vision dialog

Figure 15.56, “

Description of the Color Deficient Vision dialog

”
Options
Section 8.8.3.1, “ Options ”
Examples
Section 8.8.3.2, “ Examples ”
Example of protanopia with some text
Figure 15.57, “ Example of protanopia with some text ”

Examples of the three types of vision deficiencies in one image

Figure 15.58, “

Examples of the three types of vision deficiencies in one image

”
Gamma
Section 8.8.4, “ Gamma ”
The Gamma dialog
Figure 15.59, “ The Gamma dialog ”
Contrast
Section 8.8.5, “ Contrast ”
The Contrast dialog
Figure 15.60, “ The Contrast dialog ”
Options
Section 8.8.5.1, “ Options ”
Color Management
Section 8.8.6, “ Color Management ”
The Color Proof dialog
Figure 15.61, “ The Color Proof dialog ”
Options
Section 8.8.6.1, “ Options ”
Color Proof
Section 8.8.7, “ Color Proof ”
The Color Proof dialog
Figure 15.62, “ The Color Proof dialog ”
The Color Proof options
Section 8.8.7.1, “ The Color Proof options ”
Show Selection
Section 8.9, “ Show Selection ”
Activating the Command
Section 8.9.1, “ Activating the Command ”
Show Layer Boundary
Section 8.10, “ Show Layer Boundary ”
Activating the Command
Section 8.10.1, “ Activating the Command ”
Show Guides
Section 8.11, “ Show Guides ”
Activating the Command
Section 8.11.1, “ Activating the Command ”
Snap to Guides
Section 8.12, “ Snap to Guides ”
Activating the Command
Section 8.12.1, “ Activating the Command ”
Show Grid
Section 8.13, “ Show Grid ”
Activating the Command
Section 8.13.1, “ Activating the Command ”
Snap to Grid
Section 8.14, “ Snap to Grid ”
Activating the Command
Section 8.14.1, “ Activating the Command ”
Padding Color
Section 8.15, “ Padding Color ”

Contents of the Padding Color submenu

Figure 15.63, “

Contents of the Padding Color submenu

”
Activating the submenu
Section 8.15.1, “ Activating the submenu ”
Padding Color Options
Section 8.15.2, “ Padding Color Options ”
Show Menubar
Section 8.16, “ Show Menubar ”
Activating the Command
Section 8.16.1, “ Activating the Command ”
Show Rulers
Section 8.17, “ Show Rulers ”
Activating the Command
Section 8.17.1, “ Activating the Command ”
Show Scrollbars
Section 8.18, “ Show Scrollbars ”
Activating the Command
Section 8.18.1, “ Activating the Command ”
Show Statusbar
Section 8.19, “ Show Statusbar ”
Activating the Command
Section 8.19.1, “ Activating the Command ”
The Image Menu
Section 9, “ The Image Menu ”

The Image Menu of the Image Window
Section 9.1, “

The Image Menu of the Image Window ”

The Contents of the Image Menu

Figure 15.64, “

The Contents of the Image Menu

”
Duplicate
Section 9.2, “ Duplicate ”
Activating the Command
Section 9.2.1, “ Activating the Command ”
Mode
Section 9.3, “ Mode ”

The Mode submenu of the Image menu

Figure 15.65, “

The Mode submenu of the Image menu

”
Activating the Submenu
Section 9.3.1, “ Activating the Submenu ”

The Contents of the Mode Submenu

Section 9.3.2, “

The Contents of the Mode Submenu

”
RGB mode
Section 9.4, “ RGB mode ”
Activating the command
Section 9.4.1, “ Activating the command ”
Grayscale mode
Section 9.5, “ Grayscale mode ”
Activating the Command
Section 9.5.1, “ Activating the Command ”
Indexed mode
Section 9.6, “ Indexed mode ”
Activating the Command
Section 9.6.1, “ Activating the Command ”

The Convert Image to Indexed Colors dialog

Section 9.6.2, “

The Convert Image to Indexed Colors dialog

”

The Convert Image to Indexed Colors dialog

Figure 15.66, “

The Convert Image to Indexed Colors dialog

”

Example: full color, with no dithering

Figure 15.67, “

Example: full color, with no dithering

”

Example: four colors, with no dithering

Figure 15.68, “

Example: four colors, with no dithering

”

Example: Floyd-Steinberg (normal)

Figure 15.69, “

Example: Floyd-Steinberg (normal)

”

Example: Floyd-Steinberg (reduced color bleeding)

Figure 15.70, “

Example: Floyd-Steinberg (reduced color bleeding)

”
Transform
Section 9.7, “ Transform ”

The Transform submenu of the Image menu

Figure 15.71, “

The Transform submenu of the Image menu

”
Activating the Submenu
Section 9.7.1, “ Activating the Submenu ”

The Contents of the Transform Submenu

Section 9.7.2, “

The Contents of the Transform Submenu

”
Flip Horizontally; Flip Vertically
Section 9.8, “ Flip Horizontally; Flip Vertically ”
???TITLE???
???
Activate the Commands
Section 9.8.1, “ Activate the Commands ”
Rotation
Section 9.9, “ Rotation ”
???TITLE???
???
???TITLE???
???
Activate the Commands
Section 9.9.1, “ Activate the Commands ”
Guillotine
Section 9.10, “ Guillotine ”
Activate the Command
Section 9.10.1, “ Activate the Command ”
Canvas Size
Section 9.11, “ Canvas Size ”
Activate the Command
Section 9.11.1, “ Activate the Command ”

Description of the Canvas size dialog

Section 9.11.2, “

Description of the Canvas size dialog

”

The Canvas size dialog

Figure 15.72, “

The Canvas size dialog

”
The Resize layers list
Figure 15.73, “ The Resize layers list ”
Example
Section 9.11.3, “ Example ”
Original image
Figure 15.74, “ Original image ”
Canvas enlarged (layers unchanged)
Figure 15.75, “ Canvas enlarged (layers unchanged) ”
Canvas enlarged (All layers changed)
Figure 15.76, “ Canvas enlarged (All layers changed) ”
What's Canvas Size useful for?
Section 9.11.4, “ What's Canvas Size useful for? ”
Resizing canvas
Figure 15.77, “ Resizing canvas ”
Cropped image
Figure 15.78, “ Cropped image ”
Fit Canvas to Layers
Section 9.12, “ Fit Canvas to Layers ”
Activate the command
Section 9.12.1, “ Activate the command ”
Print Size
Section 9.13, “ Print Size ”
Activating the Dialog
Section 9.13.1, “ Activating the Dialog ”

Options in the Print Size Dialog

Section 9.13.2, “

Options in the Print Size Dialog

”

The Print Size dialog

Figure 15.79, “

The Print Size dialog

”
Scale Image
Section 9.14, “ Scale Image ”
Note
Note
Activate the Command
Section 9.14.1, “ Activate the Command ”

The Scale Image Dialog

Section 9.14.2, “

The Scale Image Dialog

”

The Scale Image dialog

Figure 15.80, “

The Scale Image dialog

”
Crop to Selection
Section 9.15, “ Crop to Selection ”
Activate the command
Section 9.15.1, “ Activate the command ”
Autocrop Image
Section 9.16, “ Autocrop Image ”
Activate the Command
Section 9.16.1, “ Activate the Command ”
Example
Section 9.16.2, “ Example ”
Autocrop example
Figure 15.81, “ Autocrop example ”
Zealous Crop
Section 9.17, “ Zealous Crop ”
Example
Section 9.17.1, “ Example ”
Zealous Crop Example
Figure 15.82, “ Zealous Crop Example ”
Activate the Command
Section 9.17.2, “ Activate the Command ”
Merge Visible Layers
Section 9.18, “ Merge Visible Layers ”
Activate the Command
Section 9.18.1, “ Activate the Command ”

Description of the Merge Visible Layers Dialog

Section 9.18.2, “

Description of the Merge Visible Layers Dialog

”

The Merge Visible Layers Dialog

Figure 15.83, “

The Merge Visible Layers Dialog

”

Merge visible layers example

Figure 15.84, “

Merge visible layers example

”
Flatten Image
Section 9.19, “ Flatten Image ”
Activate the Command
Section 9.19.1, “ Activate the Command ”
Guides
Section 9.20, “ Guides ”

The Guides options of the Image submenu

Figure 15.85, “

The Guides options of the Image submenu

”
Activating the Submenu
Section 9.20.1, “ Activating the Submenu ”

The Contents of the Guides Submenu

Section 9.20.2, “

The Contents of the Guides Submenu

”
New Guide
Section 9.21, “ New Guide ”
Activate the Command
Section 9.21.1, “ Activate the Command ”

New Guide Options

Section 9.21.2, “

New Guide Options

”

The New Guide Dialog

Figure 15.86, “

The New Guide Dialog

”
New Guide (by Percent)
Section 9.22, “ New Guide (by Percent) ”
Activate the Command
Section 9.22.1, “ Activate the Command ”

New Guide (by Percent) Options

Section 9.22.2, “

New Guide (by Percent) Options

”

The New Guide (by Percent) Dialog

Figure 15.87, “

The New Guide (by Percent) Dialog

”
New Guides from Selection
Section 9.23, “ New Guides from Selection ”
Activating the Command
Section 9.23.1, “ Activating the Command ”
Remove all guides
Section 9.24, “ Remove all guides ”
Activate the Command
Section 9.24.1, “ Activate the Command ”
Configure Grid
Section 9.25, “ Configure Grid ”
???TITLE???
???
Activating the Command
Section 9.25.1, “ Activating the Command ”

Description of the Configure Grid dialog

Section 9.25.2, “

Description of the Configure Grid dialog

”

The Configure grid dialog

Figure 15.88, “

The Configure grid dialog

”
Align Visible Layers
Section 9.26, “ Align Visible Layers ”
Example image for layer alignment
Figure 15.89, “ Example image for layer alignment ”
Activate the Command
Section 9.26.1, “ Activate the Command ”

Description of the Layer Align dialog

Section 9.26.2, “

Description of the Layer Align dialog

”
The Layer Align dialog
Figure 15.90, “ The Layer Align dialog ”

Horizontal Collect alignment (on the edge of the canvas)

Figure 15.91, “

Horizontal Collect alignment (on the edge of the canvas)

”

Horizontal Collect alignment (on the bottom layer)

Figure 15.92, “

Horizontal Collect alignment (on the bottom layer)

”

Horizontal Fill alignment (canvas)

Figure 15.93, “

Horizontal Fill alignment (canvas)

”

Horizontal Fill alignment (bottom layer)

Figure 15.94, “

Horizontal Fill alignment (bottom layer)

”

Vertical Fill alignment (bottom layer)

Figure 15.95, “

Vertical Fill alignment (bottom layer)

”
Image Properties
Section 9.27, “ Image Properties ”
Activate the Command
Section 9.27.1, “ Activate the Command ”
Options
Section 9.27.2, “ Options ”
Properties tab
Section 9.27.2.1, “ Properties tab ”
Properties tab
Figure 15.96, “ Properties tab ”
Color profile tab
Section 9.27.2.2, “ Color profile tab ”
Color profile tab
Figure 15.97, “ Color profile tab ”
Comments tab
Section 9.27.2.3, “ Comments tab ”
Comments tab
Figure 15.98, “ Comments tab ”
The Layers Menu
Section 10, “ The Layers Menu ”

Introduction to the Layer Menu

Section 10.1, “

Introduction to the Layer Menu

”

The Contents of the Layer Menu

Figure 15.99, “

The Contents of the Layer Menu

”

The Contents of the Layer local pop-menu

Figure 15.100, “

The Contents of the Layer local pop-menu

”
New Layer
Section 10.2, “ New Layer ”
Activating the Command
Section 10.2.1, “ Activating the Command ”

Description of the New Layer Dialog

Section 10.2.2, “

Description of the New Layer Dialog

”
The New Layer dialog
Figure 15.101, “ The New Layer dialog ”
Duplicate layer
Section 10.3, “ Duplicate layer ”
Activate the Command
Section 10.3.1, “ Activate the Command ”
Anchor layer
Section 10.4, “ Anchor layer ”
Activate the Command
Section 10.4.1, “ Activate the Command ”
Merge Down
Section 10.5, “ Merge Down ”
Activating the Command
Section 10.5.1, “ Activating the Command ”
Delete Layer
Section 10.6, “ Delete Layer ”
Activate the Command
Section 10.6.1, “ Activate the Command ”
Discard Text Information
Section 10.7, “Discard Text Information”
Layer Text Discard command
Figure 15.102, “ Layer Text Discard command ”
Activating the Command
Section 10.7.1, “ Activating the Command ”
Stack Submenu
Section 10.8, “ Stack Submenu ”
The Stack submenu
Figure 15.103, “ The Stack submenu ”
Activate the Submenu
Section 10.8.1, “ Activate the Submenu ”

The Contents of the Stack Submenu

Section 10.8.2, “

The Contents of the Stack Submenu

”
Select Previous Layer
Section 10.9, “ Select Previous Layer ”
Activating the Command
Section 10.9.1, “ Activating the Command ”
Select Next Layer
Section 10.10, “ Select Next Layer ”
Activating the Command
Section 10.10.1, “ Activating the Command ”
Select Top Layer
Section 10.11, “ Select Top Layer ”
Activating the Command
Section 10.11.1, “ Activating the Command ”
Select Bottom Layer
Section 10.12, “ Select Bottom Layer ”
Activate the Command
Section 10.12.1, “ Activate the Command ”
Raise Layer
Section 10.13, “ Raise Layer ”
Activating the Command
Section 10.13.1, “ Activating the Command ”
Lower Layer
Section 10.14, “ Lower Layer ”
Activating the Command
Section 10.14.1, “ Activating the Command ”
Layer to Top
Section 10.15, “ Layer to Top ”
Activating the Command
Section 10.15.1, “ Activating the Command ”
Layer to Bottom
Section 10.16, “ Layer to Bottom ”
Activating the Command
Section 10.16.1, “ Activating the Command ”
The Reverse Layer Order command
Section 10.17, “ The Reverse Layer Order command ”
Activate the command
Section 10.17.1, “ Activate the command ”
Layer Color-Stretching Commands
Section 10.18, “ Layer Color-Stretching Commands ”

The original layer and its histograms

Figure 15.104, “

The original layer and its histograms

”

The Equalize command

Figure 15.105, “

The Equalize command

”

The White Balance command

Figure 15.106, “

The White Balance command

”

The Color Enhance command

Figure 15.107, “

The Color Enhance command

”

The Normalize command

Figure 15.108, “

The Normalize command

”

The Stretch Contrast command

Figure 15.109, “

The Stretch Contrast command

”

The Stretch HSV command

Figure 15.110, “

The Stretch HSV command

”
Autocrop Layer
Section 10.19, “ Autocrop Layer ”
Activating the Command
Section 10.19.1, “ Activating the Command ”
Example
Section 10.19.2, “ Example ”
Example
Figure 15.111, “ Example ”
The Mask Submenu
Section 10.20, “ The Mask Submenu ”

The Mask submenu of the Layer menu

Figure 15.112, “

The Mask submenu of the Layer menu

”
Activating the Submenu
Section 10.20.1, “ Activating the Submenu ”

The Contents of the Mask Submenu

Section 10.20.2, “

The Contents of the Mask Submenu

”
Add Layer Mask
Section 10.21, “ Add Layer Mask ”
Activating the Command
Section 10.21.1, “ Activating the Command ”

Description of the Add Layer Mask Dialog

Section 10.21.2, “

Description of the Add Layer Mask Dialog

”

The Add Layer Mask dialog

Figure 15.113, “

The Add Layer Mask dialog

”
Apply Layer Mask
Section 10.22, “ Apply Layer Mask ”
Activating the Command
Section 10.22.1, “ Activating the Command ”
Delete Layer Mask
Section 10.23, “ Delete Layer Mask ”
Activating the Command
Section 10.23.1, “ Activating the Command ”
Show Layer Mask
Section 10.24, “ Show Layer Mask ”
Activating the Command
Section 10.24.1, “ Activating the Command ”
Edit Layer Mask
Section 10.25, “ Edit Layer Mask ”
Activating the Command
Section 10.25.1, “ Activating the Command ”
Disable Layer Mask
Section 10.26, “ Disable Layer Mask ”
Activating the Command
Section 10.26.1, “ Activating the Command ”
Mask to Selection
Section 10.27, “ Mask to Selection ”
Activating the Command
Section 10.27.1, “ Activating the Command ”

Illustration of Layer Mask to Selection

Section 10.27.2, “

Illustration of Layer Mask to Selection

”

Illustration of Layer Mask to Selection

Figure 15.114, “

Illustration of Layer Mask to Selection

”
Add Layer Mask to Selection
Section 10.28, “ Add Layer Mask to Selection ”
Activating the Command
Section 10.28.1, “ Activating the Command ”
Illustration of Add Layer Mask to Selection
Section 10.28.2, “ Illustration of Add Layer Mask to Selection ”
Illustration of Add Layer Mask to Selection
Figure 15.115, “ Illustration of Add Layer Mask to Selection ”
Subtract Layer Mask from Selection
Section 10.29, “ Subtract Layer Mask from Selection ”
Activating the Command
Section 10.29.1, “ Activating the Command ”

Illustration of Subtract Layer Mask from Selection

Section 10.29.2, “

Illustration of Subtract Layer Mask from Selection

”

Illustration of Subtract Layer Mask from Selection

Figure 15.116, “

Illustration of Subtract Layer Mask from Selection

”
Intersect Layer Mask with Selection
Section 10.30, “ Intersect Layer Mask with Selection ”
Activating the Command
Section 10.30.1, “ Activating the Command ”
Illustration of Intersecting the Layer Mask with the Selection
Section 10.30.2, “ Illustration of Intersecting the Layer Mask with the Selection ”

Illustration of Intersecting the Layer Mask with the Selection

Figure 15.117, “

Illustration of Intersecting the Layer Mask with the Selection

”

The Transparency Submenu of the Layer menu

Section 10.31, “

The Transparency Submenu of the Layer menu

”

The Transparency submenu of the Layer menu

Figure 15.118, “

The Transparency submenu of the Layer menu

”
Activating the Submenu
Section 10.31.1, “ Activating the Submenu ”

The Contents of the Transparency Submenu

Section 10.31.2, “

The Contents of the Transparency Submenu

”
Add Alpha Channel
Section 10.32, “ Add Alpha Channel ”
Activate the Command
Section 10.32.1, “ Activate the Command ”
Color to Alpha
Section 10.33, “ Color to Alpha ”
Activating the Command
Section 10.33.1, “ Activating the Command ”
Semi-flatten
Section 10.34, “ Semi-flatten ”
Activate the Command
Section 10.34.1, “ Activate the Command ”
Threshold Alpha
Section 10.35, “ Threshold Alpha ”
Activating the Command
Section 10.35.1, “ Activating the Command ”
Description of the Dialog Window
Section 10.35.2, “ Description of the Dialog Window ”
The Threshold Alpha dialog
Figure 15.119, “ The Threshold Alpha dialog ”
Alpha to Selection
Section 10.36, “ Alpha to Selection ”
Activate the Command
Section 10.36.1, “ Activate the Command ”
Example
Section 10.36.2, “ Example ”
Applying Alpha to Selection

Figure 15.120, “ Applying Alpha to Selection

”
Add Alpha channel to Selection
Section 10.37, “ Add Alpha channel to Selection ”
Activate the Command
Section 10.37.1, “ Activate the Command ”
Example
Section 10.37.2, “ Example ”
Applying Add to Selection
Figure 15.121, “ Applying Add to Selection ”
Subtract from Selection
Section 10.38, “ Subtract from Selection ”
Activate the Command
Section 10.38.1, “ Activate the Command ”
Example
Section 10.38.2, “ Example ”
Applying Subtract from Selection

Figure 15.122, “ Applying Subtract from Selection

”
Intersect Alpha channel with Selection
Section 10.39, “ Intersect Alpha channel with Selection ”
Activate the Command
Section 10.39.1, “ Activate the Command ”
Example
Section 10.39.2, “ Example ”
Applying Intersect with Selection

Figure 15.123, “ Applying Intersect with Selection

”

The Transform Submenu

Section 10.40, “

The Transform Submenu

”

The Transform Submenu of the Layer menu

Figure 15.124, “

The Transform Submenu of the Layer menu

”
Activating the Submenu
Section 10.40.1, “ Activating the Submenu ”

The Contents of the Transform Submenu

Section 10.40.2, “

The Contents of the Transform Submenu

”
Flip Horizontally
Section 10.41, “ Flip Horizontally ”
Activate the Command
Section 10.41.1, “ Activate the Command ”
Example
Section 10.41.2, “ Example ”

Applying Flip Layer Horizontally

Figure 15.125, “

Applying Flip Layer Horizontally

”
Flip Vertically
Section 10.42, “ Flip Vertically ”
Activate the Command
Section 10.42.1, “ Activate the Command ”
Rotate 90 degrees CW
Section 10.43, “ Rotate 90 degrees CW ”
Activating the Command
Section 10.43.1, “ Activating the Command ”
Rotate 90 degrees CCW
Section 10.44, “ Rotate 90 degrees CCW ”
Activating the Command
Section 10.44.1, “ Activating the Command ”
Rotate 180 degrees
Section 10.45, “ Rotate 180 degrees ”
Activating the Command
Section 10.45.1, “ Activating the Command ”
Arbitrary Rotation
Section 10.46, “ Arbitrary Rotation ”
Activating the Command
Section 10.46.1, “ Activating the Command ”
Offset
Section 10.47, “ Offset ”
Activating the Command
Section 10.47.1, “ Activating the Command ”

Description of the Offset dialog

Section 10.47.2, “

Description of the Offset dialog

”
The Offset dialog
Figure 15.126, “ The Offset dialog ”
Layer Boundary Size
Section 10.48, “ Layer Boundary Size ”
Activating the Command
Section 10.48.1, “ Activating the Command ”

Description of the Layer Boundary Size dialog

Section 10.48.2, “

Description of the Layer Boundary Size dialog

”

The Layer Boundary Size Dialog

Figure 15.127, “

The Layer Boundary Size Dialog

”
Layer to Image Size
Section 10.49, “ Layer to Image Size ”
Activating the Command
Section 10.49.1, “ Activating the Command ”
Scale Layer
Section 10.50, “ Scale Layer ”
Activating the Command
Section 10.50.1, “ Activating the Command ”

Description of the Scale Layer Dialog

Section 10.50.2, “

Description of the Scale Layer Dialog

”
The Scale Layer dialog
Figure 15.128, “ The Scale Layer dialog ”
Crop to Selection
Section 10.51, “ Crop to Selection ”
Activate the Command
Section 10.51.1, “ Activate the Command ”
Example
Section 10.51.2, “ Example ”
Applying Crop to Selection
Figure 15.129, “ Applying Crop to Selection ”
The Colors Menu
Section 11, “ The Colors Menu ”
Introduction to the Colors Menu
Section 11.1, “ Introduction to the Colors Menu ”
Contents of the Colors Menu
Figure 15.130, “ Contents of the Colors Menu ”
Colors Tools
Section 11.2, “ Colors Tools ”
Desaturate
Section 11.3, “ Desaturate ”
Activate the Command
Section 11.3.1, “ Activate the Command ”
Options
Section 11.3.2, “ Options ”
The Desaturate option dialog
Figure 15.131, “ The Desaturate option dialog ”
Comparing the three options
Figure 15.132, “ Comparing the three options ”
Invert
Section 11.4, “ Invert ”
Activate the Command
Section 11.4.1, “ Activate the Command ”
Example
Section 11.4.2, “ Example ”

Applying Invert colors

Figure 15.133, “

Applying Invert colors

”
Value Invert
Section 11.5, “ Value Invert ”
Overview
Section 11.5.1, “ Overview ”

Example for the Value invert filter

Figure 15.134, “

Example for the Value invert filter

”
Example of using this filter twice
Figure 15.135, “ Example of using this filter twice ”
The Auto Submenu
Section 11.6, “ The Auto Submenu ”
The Colors/Auto submenu
Figure 15.136, “ The Colors/Auto submenu ”
Activate submenu
Section 11.6.1, “ Activate submenu ”
Contents of the Auto Submenu
Section 11.6.2, “ Contents of the Auto Submenu ”
Equalize
Section 11.7, “ Equalize ”
Activate Command
Section 11.7.1, “ Activate Command ”
Equalize example
Section 11.7.2, “ Equalize example ”
Original image
Figure 15.137, “ Original image ”
Image after the command
Figure 15.138, “ Image after the command ”
White Balance
Section 11.8, “ White Balance ”
Activate Command
Section 11.8.1, “ Activate Command ”

White Balance example

Section 11.8.2, “

White Balance example

”
Original image
Figure 15.139, “ Original image ”
Image after the command
Figure 15.140, “ Image after the command ”
Color Enhance
Section 11.9, “ Color Enhance ”
Activate Command
Section 11.9.1, “ Activate Command ”
Color Enhance example
Section 11.9.2, “ Color Enhance example ”

Color Enhance example (Original image)

Figure 15.141, “

Color Enhance example (Original image)

”

Color Enhance example (Image after the command)

Figure 15.142, “

Color Enhance example (Image after the command)

”
Normalize
Section 11.10, “ Normalize ”
Activate the Command
Section 11.10.1, “ Activate the Command ”
NormalizeExample
Section 11.10.2, “ NormalizeExample ”
Original image
Figure 15.143, “ Original image ”

Image after the command

Figure 15.144, “

Image after the command

”
Stretch Contrast
Section 11.11, “ Stretch Contrast ”
Activate Command
Section 11.11.1, “ Activate Command ”
Stretch Contrast Example
Section 11.11.2, “ Stretch Contrast Example ”
Original image
Figure 15.145, “ Original image ”
Image after the command
Figure 15.146, “ Image after the command ”
Stretch HSV
Section 11.12, “ Stretch HSV ”
Activate Command
Section 11.12.1, “ Activate Command ”
Stretch HSV example
Section 11.12.2, “ Stretch HSV example ”
Original image
Figure 15.147, “ Original image ”
Image after the command
Figure 15.148, “ Image after the command ”
The Components Submenu
Section 11.13, “ The Components Submenu ”
The Components submenu
Figure 15.149, “ The Components submenu ”
Channel Mixer
Section 11.14, “ Channel Mixer ”
Overview
Section 11.14.1, “ Overview ”

Example for the Channel Mixer filter

Figure 15.150, “

Example for the Channel Mixer filter

”
Activate the filter
Section 11.14.2, “ Activate the filter ”
Options
Section 11.14.3, “ Options ”

Channel Mixer filter options

Figure 15.151, “

Channel Mixer filter options

”
Buttons
Section 11.14.4, “ Buttons ”
How does Channel Mixer work?
Section 11.14.5, “ How does Channel Mixer work? ”
The original image and its channels
Figure 15.152, “ The original image and its channels ”

Output channel is red. Green Channel +50

Figure 15.153, “

Output channel is red. Green Channel +50

”

Output channel is red. Green Channel +50%. The Preserve Luminosity option is checked.

Figure 15.154, “

Output channel is red. Green Channel +50%. The Preserve Luminosity option is checked.

”

Monochrome option checked. Red: 100% Green: 50% Blue: 0%. Preserve Luminosity unchecked.

Figure 15.155, “

Monochrome option checked. Red: 100% Green: 50% Blue: 0%. Preserve Luminosity unchecked.

”
Compose
Section 11.15, “ Compose ”
Overview
Section 11.15.1, “ Overview ”

Example for the Compose command

Figure 15.156, “

Example for the Compose command

”
Activate the command
Section 11.15.2, “ Activate the command ”
Options
Section 11.15.3, “ Options ”
Compose command options
Figure 15.157, “ Compose command options ”

Channel Representation example: exchange two channels

Figure 15.158, “

Channel Representation example: exchange two channels

”

Decompose
Section 11.16, “

Decompose ”
???TITLE???
???
Overview
Section 11.16.1, “ Overview ”
Decomposition to images (RGB)
Figure 15.159, “ Decomposition to images (RGB) ”
Decomposition to layers (RVB)
Figure 15.160, “ Decomposition to layers (RVB) ”
Activate the command
Section 11.16.2, “ Activate the command ”
Options
Section 11.16.3, “ Options ”

Decompose command options

Figure 15.161, “

Decompose command options

”
???TITLE???
Decompose to Layers
Recompose
Section 11.17, “ Recompose ”
Overview
Section 11.17.1, “ Overview ”

Example for the Recompose command

Figure 15.162, “

Example for the Recompose command

”
Activate the command
Section 11.17.2, “ Activate the command ”
The Map Submenu
Section 11.18, “ The Map Submenu ”
The Map submenu
Figure 15.163, “ The Map submenu ”
Rearrange Colormap
Section 11.19, “ Rearrange Colormap ”
The Rearrange Colormap window
Figure 15.164, “ The Rearrange Colormap window ”
Activate Dialog
Section 11.19.1, “ Activate Dialog ”

Using the Rearrange Colormap dialog

Section 11.19.2, “

Using the Rearrange Colormap dialog

”

The Rearrange Colormap pop-menu

Figure 15.165, “

The Rearrange Colormap pop-menu

”
Set Colormap
Section 11.20, “ Set Colormap ”
The Set Colormap window
Figure 15.166, “ The Set Colormap window ”
The Palette Selection dialog
Figure 15.167, “ The Palette Selection dialog ”
Adjust Foreground & Background
Section 11.21, “ Adjust Foreground & Background ”
Overview
Section 11.21.1, “ Overview ”

Applying example for the filter Adjust Foreground & Background

Figure 15.168, “

Applying example for the filter Adjust Foreground & Background

”
Activate the filter
Section 11.21.2, “ Activate the filter ”
Alien Map
Section 11.22, “ Alien Map ”
Overview
Section 11.22.1, “ Overview ”

Alien Map filter example

Figure 15.169, “

Alien Map filter example

”
Activate the filter
Section 11.22.2, “ Activate the filter ”
Options
Section 11.22.3, “ Options ”

Options for the Alien Map filter

Figure 15.170, “

Options for the Alien Map filter

”
Color Exchange
Section 11.23, “ Color Exchange ”
Overview
Section 11.23.1, “ Overview ”

Color Exchange filter example

Figure 15.171, “

Color Exchange filter example

”
Activate the filter
Section 11.23.2, “ Activate the filter ”
Options
Section 11.23.3, “ Options ”

Option of the Two color exchange filter

Figure 15.172, “

Option of the Two color exchange filter

”
Color Range Mapping
Section 11.24, “ Color Range Mapping ”
Overview
Section 11.24.1, “ Overview ”
Example for the Color Range Mapping filter
Figure 15.173, “ Example for the Color Range Mapping filter ”
Activate the filter
Section 11.24.2, “ Activate the filter ”
Options
Section 11.24.3, “ Options ”

Options of the Map Color Range filter

Figure 15.174, “

Options of the Map Color Range filter

”
Gradient Map
Section 11.25, “ Gradient Map ”
Overview
Section 11.25.1, “ Overview ”
Example of gradient map
Figure 15.175, “ Example of gradient map ”
Activate the filter
Section 11.25.2, “ Activate the filter ”
Palette Map
Section 11.26, “ Palette Map ”
Overview
Section 11.26.1, “ Overview ”
Activate the filter
Section 11.26.2, “ Activate the filter ”
Example
Section 11.26.3, “ Example ”

The active palette is applied to a gradient image

Figure 15.176, “

The active palette is applied to a gradient image

”
Rotate Colors
Section 11.27, “ Rotate Colors ”
Overview
Section 11.27.1, “ Overview ”

Example for the Rotate Colors filter

Figure 15.177, “

Example for the Rotate Colors filter

”
Activate the filter
Section 11.27.2, “ Activate the filter ”
Main Options
Section 11.27.3, “ Main Options ”

Main Options of the Color Map Rotation filter

Figure 15.178, “

Main Options of the Color Map Rotation filter

”
Grey Options
Section 11.27.4, “ Grey Options ”
Base image for Grey Options
Figure 15.179, “ Base image for Grey Options ”
Grey Mode
Figure 15.180, “ Grey Mode ”
Gray Threshold
Figure 15.181, “ Gray Threshold ”
Previews
Section 11.27.5, “ Previews ”
Units
Section 11.27.6, “ Units ”
Sample Colorize
Section 11.28, “ Sample Colorize ”
Overview
Section 11.28.1, “ Overview ”

Example for the Sample Colorize filter

Figure 15.182, “

Example for the Sample Colorize filter

”
Activate the filter
Section 11.28.2, “ Activate the filter ”
Options
Section 11.28.3, “ Options ”

Options of the Sample Colorize filter

Figure 15.183, “

Options of the Sample Colorize filter

”
The Info Submenu
Section 11.29, “ The Info Submenu ”
The Info submenu
Figure 15.184, “ The Info submenu ”
Histogram
Section 11.30, “ Histogram ”
Border Average
Section 11.31, “ Border Average ”
Overview
Section 11.31.1, “ Overview ”

Example for the Border Average filter

Figure 15.185, “

Example for the Border Average filter

”
Activate the filter
Section 11.31.2, “ Activate the filter ”
Options
Section 11.31.3, “ Options ”

Options of the Border Average Filter

Figure 15.186, “

Options of the Border Average Filter

”

Examples illustrating the Border Average filter

Section 11.31.4, “

Examples illustrating the Border Average filter

”
Original image
Figure 15.187, “ Original image ”

Number of Colors is set to 8:

Figure 15.188, “

Number of Colors is set to 8:

”

Number of Colors is set to 64:

Figure 15.189, “

Number of Colors is set to 64:

”
Colorcube Analysis
Section 11.32, “ Colorcube Analysis ”
Overview
Section 11.32.1, “ Overview ”

Example for the Colorcube filter

Figure 15.190, “

Example for the Colorcube filter

”
Activate the filter
Section 11.32.2, “ Activate the filter ”
Smooth Palette
Section 11.33, “ Smooth Palette ”
Overview
Section 11.33.1, “ Overview ”

Example for the Smooth Palette filter

Figure 15.191, “

Example for the Smooth Palette filter

”
Activate the filter
Section 11.33.2, “ Activate the filter ”
Options
Section 11.33.3, “ Options ”
The Color Filters
Section 11.34, “ The Color Filters ”
Colorify
Section 11.35, “ Colorify ”
Overview
Section 11.35.1, “ Overview ”

Example for the Colorify filter

Figure 15.192, “

Example for the Colorify filter

”
Activate the filter
Section 11.35.2, “ Activate the filter ”
Options
Section 11.35.3, “ Options ”
Colorify filter options
Figure 15.193, “ Colorify filter options ”
Color to Alpha
Section 11.36, “ Color to Alpha ”
Overview
Section 11.36.1, “ Overview ”

Example for the filter Color to Alpha

Figure 15.194, “

Example for the filter Color to Alpha

”
Activate the filter
Section 11.36.2, “ Activate the filter ”
Options
Section 11.36.3, “ Options ”

Color to Alpha filter options

Figure 15.195, “

Color to Alpha filter options

”
Filter Pack
Section 11.37, “ Filter Pack ”
Overview
Section 11.37.1, “ Overview ”

Example for the Filter Pack filter

Figure 15.196, “

Example for the Filter Pack filter

”
Activate the filter
Section 11.37.2, “ Activate the filter ”
Options
Section 11.37.3, “ Options ”

All the options for filter Filter Pack

Figure 15.197, “

All the options for filter Filter Pack

”

Hue option of the Filterpack filter

Figure 15.198, “

Hue option of the Filterpack filter

”

The saturation option of the Filterpack filter

Figure 15.199, “

The saturation option of the Filterpack filter

”

Value option of the Filterpack filter

Figure 15.200, “

Value option of the Filterpack filter

”

Advanced options of the Filterpack filter

Figure 15.201, “

Advanced options of the Filterpack filter

”
Hot
Section 11.38, “ Hot ”
Overview
Section 11.38.1, “ Overview ”
Activate the filter
Section 11.38.2, “ Activate the filter ”
Options
Section 11.38.3, “ Options ”
Hot filter options
Figure 15.202, “ Hot filter options ”
Max RGB
Section 11.39, “ Max RGB ”
Overview
Section 11.39.1, “ Overview ”

Example for the filter Max RGB

Figure 15.203, “

Example for the filter Max RGB

”
Activate the filter
Section 11.39.2, “ Activate the filter ”
Options
Section 11.39.3, “ Options ”
Max RGB options
Figure 15.204, “ Max RGB options ”
Retinex
Section 11.40, “ Retinex ”
Overview
Section 11.40.1, “ Overview ”
Retinex example
Figure 15.205, “ Retinex example ”
Activate the filter
Section 11.40.2, “ Activate the filter ”
Options
Section 11.40.3, “ Options ”
Retinex filter options
Figure 15.206, “ Retinex filter options ”
The Tools Menu
Section 12, “ The Tools Menu ”

Introduction to the Tools Menu

Section 12.1, “

Introduction to the Tools Menu

”

Contents of the Tools menu

Figure 15.207, “

Contents of the Tools menu

”
The Filters Menu
Section 13, “ The Filters Menu ”

Introduction to the Filters Menu

Section 13.1, “

Introduction to the Filters Menu

”
The Filters menu
Figure 15.208, “ The Filters menu ”
Repeat Last
Section 13.2, “ Repeat Last ”
Activating the Command
Section 13.2.1, “ Activating the Command ”
Re-show Last
Section 13.3, “ Re-show Last ”
Activating the Command
Section 13.3.1, “ Activating the Command ”
Reset All Filters
Section 13.4, “ Reset All Filters ”
Activating the Command
Section 13.4.1, “ Activating the Command ”
Filters
Chapter 16, Filters
Introduction
Section 1, “ Introduction ”
Preview
Section 1.1, “ Preview ”
Preview submenu
Figure 16.1, “ Preview submenu ”
Blur Filters
Section 2, “ Blur Filters ”
Introduction
Section 2.1, “ Introduction ”
Original for demo
Figure 16.2, “ Original for demo ”
Gaussian blur (radius 10)
Figure 16.3, “ Gaussian blur (radius 10) ”
Simple blur
Figure 16.4, “ Simple blur ”
Selective blur
Figure 16.5, “ Selective blur ”
Pixelize
Figure 16.6, “ Pixelize ”
Motion blur
Figure 16.7, “ Motion blur ”
Blur
Section 2.2, “ Blur ”
Overview
Section 2.2.1, “ Overview ”

The Blur filter applied to a photograph

Figure 16.8, “

The Blur filter applied to a photograph

”
Activate the filter
Section 2.2.2, “ Activate the filter ”
Gaussian Blur
Section 2.3, “ Gaussian Blur ”
Overview
Section 2.3.1, “ Overview ”

From left to right: original, filter applied.

Figure 16.9, “

From left to right: original, filter applied.

”
Options
Section 2.3.2, “ Options ”

Gaussian filter parameters settings

Figure 16.10, “

Gaussian filter parameters settings

”
Selective Gaussian Blur
Section 2.4, “ Selective Gaussian Blur ”
Overview
Section 2.4.1, “ Overview ”
The Selective Gaussian Blur filter
Figure 16.11, “ The Selective Gaussian Blur filter ”
Options
Section 2.4.2, “ Options ”

Selective Gaussian filter parateters settings

Figure 16.12, “

Selective Gaussian filter parateters settings

”
Motion Blur
Section 2.5, “ Motion Blur ”
Overview
Section 2.5.1, “ Overview ”

Starting example for Motion Blur filter

Figure 16.13, “

Starting example for Motion Blur filter

”
Using example for Motion Blur filter
Figure 16.14, “ Using example for Motion Blur filter ”
Options
Section 2.5.2, “ Options ”

Motion Blur filter options

Figure 16.15, “

Motion Blur filter options

”
Pixelise
Section 2.6, “ Pixelise ”
Overview
Section 2.6.1, “ Overview ”

From left to right: Before and after applying Pixelise filter

Figure 16.16, “

From left to right: Before and after applying Pixelise filter

”
Options
Section 2.6.2, “ Options ”

Pixelize filter options

Figure 16.17, “

Pixelize filter options

”
Tileable Blur
Section 2.7, “ Tileable Blur ”
Overview
Section 2.7.1, “ Overview ”

From left to right: original, tileable blur applied

Figure 16.18, “

From left to right: original, tileable blur applied

”
Options
Section 2.7.2, “ Options ”

Tileable Blur filter options

Figure 16.19, “

Tileable Blur filter options

”
Noise Filters
Section 3, “ Noise Filters ”
Introduction
Section 3.1, “ Introduction ”
Hurl
Section 3.2, “ Hurl ”
Overview
Section 3.2.1, “ Overview ”
Options
Section 3.2.2, “ Options ”

Hurl options

Figure 16.20, “

Hurl options

”
RGB Noise
Section 3.3, “ RGB Noise ”
Overview
Section 3.3.1, “ Overview ”
Example of applying the Noisify filter
Figure 16.21, “ Example of applying the Noisify filter ”
Options
Section 3.3.2, “ Options ”

RGB Noise filter options

Figure 16.22, “

RGB Noise filter options

”
Pick
Section 3.4, “ Pick ”
Overview
Section 3.4.1, “ Overview ”

Example of applying the Pick filter

Figure 16.23, “

Example of applying the Pick filter

”
Options
Section 3.4.2, “ Options ”

Pick filter options

Figure 16.24, “

Pick filter options

”
Scatter HSV
Section 3.5, “ Scatter HSV ”
Overview
Section 3.5.1, “ Overview ”
Example of applying the Pick HSV filter
Figure 16.25, “ Example of applying the Pick HSV filter ”
Activate the filter
Section 3.5.2, “ Activate the filter ”
Options
Section 3.5.3, “ Options ”
Scatter HSV filter options
Figure 16.26, “ Scatter HSV filter options ”
Slur
Section 3.6, “ Slur ”
Overview
Section 3.6.1, “ Overview ”
Example of applying the Slur filter
Figure 16.27, “ Example of applying the Slur filter ”
Options
Section 3.6.2, “ Options ”
Slur filter options
Figure 16.28, “ Slur filter options ”
Spread
Section 3.7, “ Spread ”
Overview
Section 3.7.1, “ Overview ”
Example of applying the Spread filter
Figure 16.29, “ Example of applying the Spread filter ”
Options
Section 3.7.2, “ Options ”

Spread filter options

Figure 16.30, “

Spread filter options

”
Edge-Detect Filters
Section 4, “ Edge-Detect Filters ”
Introduction
Section 4.1, “ Introduction ”
Difference of Gaussians
Section 4.2, “ Difference of Gaussians ”
Overview
Section 4.2.1, “ Overview ”

Applying example for the Difference of Gaussians filter

Figure 16.31, “

Applying example for the Difference of Gaussians filter

”
Options
Section 4.2.2, “ Options ”
Gaussian Difference filter options
Figure 16.32, “ Gaussian Difference filter options ”
Edge
Section 4.3, “ Edge ”
Overview
Section 4.3.1, “ Overview ”
Applying example for the Edge filter
Figure 16.33, “ Applying example for the Edge filter ”
Applying examples for the Edge filter
Figure 16.34, “ Applying examples for the Edge filter ”
Applying example for the Edge filter
Figure 16.35, “ Applying example for the Edge filter ”
Applying example for the Edge filter
Figure 16.36, “ Applying example for the Edge filter ”
Options
Section 4.3.2, “ Options ”
Edge filter options
Figure 16.37, “ Edge filter options ”
Laplace
Section 4.4, “ Laplace ”
Overview
Section 4.4.1, “ Overview ”
Applying example for the Laplace filter
Figure 16.38, “ Applying example for the Laplace filter ”
Neon
Section 4.5, “ Neon ”
Overview
Section 4.5.1, “ Overview ”
Applying example for the Neon filter
Figure 16.39, “ Applying example for the Neon filter ”
Activating the filter
Section 4.5.2, “ Activating the filter ”
Options
Section 4.5.3, “ Options ”
Neon filter options
Figure 16.40, “ Neon filter options ”
Sobel
Section 4.6, “ Sobel ”
Overview
Section 4.6.1, “ Overview ”
Applying example of the Sobel filter
Figure 16.41, “ Applying example of the Sobel filter ”
Options
Section 4.6.2, “ Options ”

Sobel filter options

Figure 16.42, “

Sobel filter options

”
Enhance Filters
Section 5, “ Enhance Filters ”
Introduction
Section 5.1, “ Introduction ”
Deinterlace
Section 5.2, “ Deinterlace ”
Overview
Section 5.2.1, “ Overview ”
Options
Section 5.2.2, “ Options ”

Deinterlace filter options

Figure 16.43, “

Deinterlace filter options

”
Example
Section 5.2.3, “ Example ”

Simple applying example for the Deinterlace filter

Figure 16.44, “

Simple applying example for the Deinterlace filter

”
Despeckle
Section 5.3, “ Despeckle ”
Overview
Section 5.3.1, “ Overview ”
Options
Section 5.3.2, “ Options ”

Despeckle filter options

Figure 16.45, “

Despeckle filter options

”
NL Filter
Section 5.4, “ NL Filter ”
Overview
Section 5.4.1, “ Overview ”
Options
Section 5.4.2, “ Options ”

NL Filter options

Figure 16.46, “

NL Filter options

”
Operating Modes
Section 5.4.3, “ Operating Modes ”
Red Eye Removal
Section 5.5, “ Red Eye Removal ”
Overview
Section 5.5.1, “ Overview ”

Example for the Red Eye Removal filter

Figure 16.47, “

Example for the Red Eye Removal filter

”
Activate the filter
Section 5.5.2, “ Activate the filter ”
Options
Section 5.5.3, “ Options ”
Red Eye Removal options
Figure 16.48, “ Red Eye Removal options ”
Destripe
Section 5.6, “ Destripe ”
Overview
Section 5.6.1, “ Overview ”
Options
Section 5.6.2, “ Options ”

Destripe filter options

Figure 16.49, “

Destripe filter options

”
Unsharp Mask
Section 5.7, “ Unsharp Mask ”
Overview
Section 5.7.1, “ Overview ”

Applying example for the Unsharp Mask filter

Figure 16.50, “

Applying example for the Unsharp Mask filter

”
Options
Section 5.7.2, “ Options ”

Unsharp Mask filter options

Figure 16.51, “

Unsharp Mask filter options

”
How does an unsharp mask work?
Section 5.7.3, “ How does an unsharp mask work? ”
Black eye effect
Figure 16.52, “ Black eye effect ”
Sharpen
Section 5.8, “ Sharpen ”
Overview
Section 5.8.1, “ Overview ”

Applying example for the Sharpen filter

Figure 16.53, “

Applying example for the Sharpen filter

”
Options
Section 5.8.2, “ Options ”

Sharpen filter options

Figure 16.54, “

Sharpen filter options

”
Generic Filters
Section 6, “ Generic Filters ”
Introduction
Section 6.1, “ Introduction ”
Convolution Matrix
Section 6.2, “ Convolution Matrix ”
Overview
Section 6.2.1, “ Overview ”
Options
Section 6.2.2, “ Options ”

Convolution matrix options

Figure 16.55, “

Convolution matrix options

”
Examples
Section 6.2.3, “ Examples ”
Sharpen
Figure 16.56, “ Sharpen ”
Blur
Figure 16.57, “ Blur ”
Edge enhance
Figure 16.58, “ Edge enhance ”
Edge detect
Figure 16.59, “ Edge detect ”
Emboss
Figure 16.60, “ Emboss ”
Dilate
Section 6.3, “ Dilate ”
Overview
Section 6.3.1, “ Overview ”
Applying example for the Dilate filter
Figure 16.61, “ Applying example for the Dilate filter ”
Examples
Section 6.3.2, “ Examples ”
Dilate text
Figure 16.62, “ Dilate text ”
Dilate neon effect
Figure 16.63, “ Dilate neon effect ”
Erode
Section 6.4, “ Erode ”
Overview
Section 6.4.1, “ Overview ”
Erode noise
Figure 16.64, “ Erode noise ”
Light and Shadow Filters
Section 7, “ Light and Shadow Filters ”
The Light and Shadow filters menu
Figure 16.65, “ The Light and Shadow filters menu ”
Introduction
Section 7.1, “ Introduction ”
Gradient Flare
Section 7.2, “ Gradient Flare ”
Overview
Section 7.2.1, “ Overview ”
Example for the Gradient Flare filter
Figure 16.66, “ Example for the Gradient Flare filter ”
Activate the filter
Section 7.2.2, “ Activate the filter ”
Options
Section 7.2.3, “ Options ”
Settings
Section 7.2.4, “ Settings ”

Gradient Flare filter options (Settings)

Figure 16.67, “

Gradient Flare filter options (Settings)

”
Selector
Section 7.2.5, “ Selector ”

Gradient Flare filter options (Selector)

Figure 16.68, “

Gradient Flare filter options (Selector)

”
Gradient Flare Editor
Section 7.2.6, “ Gradient Flare Editor ”

Gradient Flare Editor options (General)

Figure 16.69, “

Gradient Flare Editor options (General)

”

Gradient Flare Editor options (Glow)

Figure 16.70, “

Gradient Flare Editor options (Glow)

”

Gradient Flare Editor options (Rays)

Figure 16.71, “

Gradient Flare Editor options (Rays)

”

Gradient Flare Editor options (Second Flares)

Figure 16.72, “

Gradient Flare Editor options (Second Flares)

”
Lens Flare
Section 7.3, “ Lens Flare ”
Overview
Section 7.3.1, “ Overview ”
Example for the Lens Flare filter
Figure 16.73, “ Example for the Lens Flare filter ”
Activate the filter
Section 7.3.2, “ Activate the filter ”
Options
Section 7.3.3, “ Options ”

Lens Flare filter options

Figure 16.74, “

Lens Flare filter options

”
Lighting Effects
Section 7.4, “ Lighting Effects ”
Overview
Section 7.4.1, “ Overview ”

The same image, before and after applying Lighting filter

Figure 16.75, “

The same image, before and after applying Lighting filter

”
Activate the filter
Section 7.4.2, “ Activate the filter ”
Options
Section 7.4.3, “ Options ”

Lighting filter general options

Figure 16.76, “

Lighting filter general options

”

Light Options of the Lighting filter

Figure 16.77, “

Light Options of the Lighting filter

”

Material tab of the Lighting filter

Figure 16.78, “

Material tab of the Lighting filter

”

Bumpmap options of the Lighting filter

Figure 16.79, “

Bumpmap options of the Lighting filter

”

Environment map options

Figure 16.80, “

Environment map options

”
Sparkle
Section 7.5, “ Sparkle ”
Overview
Section 7.5.1, “ Overview ”
Applying example for the Sparkle filter
Figure 16.81, “ Applying example for the Sparkle filter ”
Activate the filter
Section 7.5.2, “ Activate the filter ”
Parameter Settings
Section 7.5.3, “ Parameter Settings ”

Sparkle filter options

Figure 16.82, “

Sparkle filter options

”
Supernova
Section 7.6, “ Supernova ”
Overview
Section 7.6.1, “ Overview ”
Applying example for the Supernova filter
Figure 16.83, “ Applying example for the Supernova filter ”
Activate the filter
Section 7.6.2, “ Activate the filter ”
Parameter Settings
Section 7.6.3, “ Parameter Settings ”

Supernova filter options

Figure 16.84, “

Supernova filter options

”
Drop Shadow
Section 7.7, “ Drop Shadow ”
Overview
Section 7.7.1, “ Overview ”

Example for the Drop Shadow filter

Figure 16.85, “

Example for the Drop Shadow filter

”
Activate the filter
Section 7.7.2, “ Activate the filter ”
Options
Section 7.7.3, “ Options ”
Drop Shadow filter options
Figure 16.86, “ Drop Shadow filter options ”

Drop Shadow color example

Figure 16.87, “

Drop Shadow color example

”
Perspective
Section 7.8, “ Perspective ”
Overview
Section 7.8.1, “ Overview ”

Example for the Perspective filter

Figure 16.88, “

Example for the Perspective filter

”
Activate the filter
Section 7.8.2, “ Activate the filter ”
Options
Section 7.8.3, “ Options ”
Perspective options
Figure 16.89, “ Perspective options ”
Angle example
Figure 16.90, “ Angle example ”

Distance of horizon example

Figure 16.91, “

Distance of horizon example

”
Length of Shadow example
Figure 16.92, “ Length of Shadow example ”
Blur example
Figure 16.93, “ Blur example ”
Allow resizing example
Figure 16.94, “ Allow resizing example ”
Xach-Effect
Section 7.9, “ Xach-Effect ”
Overview
Section 7.9.1, “ Overview ”

Example for the Xach-Effect filter

Figure 16.95, “

Example for the Xach-Effect filter

”
Activate the filter
Section 7.9.2, “ Activate the filter ”
Options
Section 7.9.3, “ Options ”
Xach-Effect options
Figure 16.96, “ Xach-Effect options ”
Apply Lens
Section 7.10, “ Apply Lens ”
Overview
Section 7.10.1, “ Overview ”

The same image, before and after applying lens effect.

Figure 16.97, “

The same image, before and after applying lens effect.

”
Activate the filter
Section 7.10.2, “ Activate the filter ”
Options
Section 7.10.3, “ Options ”

Apply Lens filter options

Figure 16.98, “

Apply Lens filter options

”
Glass Tile
Section 7.11, “ Glass Tile ”
Overview
Section 7.11.1, “ Overview ”

The same image, before and after applying glass tile effect.

Figure 16.99, “

The same image, before and after applying glass tile effect.

”
Activate the filter
Section 7.11.2, “ Activate the filter ”
Options
Section 7.11.3, “ Options ”

Glass Tile filter options

Figure 16.100, “

Glass Tile filter options

”
Distort Filters
Section 8, “ Distort Filters ”
The Distort filters menu
Figure 16.101, “ The Distort filters menu ”
Introduction
Section 8.1, “ Introduction ”
Page Curl
Section 8.2, “ Page Curl ”
Overview
Section 8.2.1, “ Overview ”
Example for the Page Curl filter
Figure 16.102, “ Example for the Page Curl filter ”
Activate the filter
Section 8.2.2, “ Activate the filter ”
Options
Section 8.2.3, “ Options ”
Options
Figure 16.103, “ Options ”
Engrave
Section 8.3, “ Engrave ”
Overview
Section 8.3.1, “ Overview ”

Example for the Engrave filter

Figure 16.104, “

Example for the Engrave filter

”
Activate the filter
Section 8.3.2, “ Activate the filter ”
Options
Section 8.3.3, “ Options ”
Engrave options
Figure 16.105, “ Engrave options ”

Example result of Limit line width option

Figure 16.106, “

Example result of Limit line width option

”
IWarp
Section 8.4, “ IWarp ”
Overview
Section 8.4.1, “ Overview ”
Applying example for the IWarp filter
Figure 16.107, “ Applying example for the IWarp filter ”
Settings
Section 8.4.2, “ Settings ”

IWarp filter options (Settings tab)

Figure 16.108, “

IWarp filter options (Settings tab)

”

IWarp filter options (Animation tab)

Figure 16.109, “

IWarp filter options (Animation tab)

”
Blinds
Section 8.5, “ Blinds ”
Overview
Section 8.5.1, “ Overview ”
Applying example for the Blinds filter
Figure 16.110, “ Applying example for the Blinds filter ”
Options
Section 8.5.2, “ Options ”
Blinds filter options
Figure 16.111, “ Blinds filter options ”
Mosaic
Section 8.6, “ Mosaic ”
Overview
Section 8.6.1, “ Overview ”

Applying example for the Mosaic filter

Figure 16.112, “

Applying example for the Mosaic filter

”
Options
Section 8.6.2, “ Options ”
Mosaic filter options
Figure 16.113, “ Mosaic filter options ”
Lens Distortion
Section 8.7, “ Lens Distortion ”
Overview
Section 8.7.1, “ Overview ”

Example for the Lens Distortion filter

Figure 16.114, “

Example for the Lens Distortion filter

”
Activate the filter
Section 8.7.2, “ Activate the filter ”
Options
Section 8.7.3, “ Options ”
Lens Distortion options
Figure 16.115, “ Lens Distortion options ”

Example result of Main option

Figure 16.116, “

Example result of Main option

”

Example result of Edge option (Main set to 50.0)

Figure 16.117, “

Example result of Edge option (Main set to 50.0)

”

Example result of Zoom option

Figure 16.118, “

Example result of Zoom option

”

Example result of Brigthen option (Main set to 75.0)

Figure 16.119, “

Example result of Brigthen option (Main set to 75.0)

”

Example result of X shift option (Main set to 70.0)

Figure 16.120, “

Example result of X shift option (Main set to 70.0)

”
Polar Coords
Section 8.8, “ Polar Coords ”
Overview
Section 8.8.1, “ Overview ”
Example for Polar Coords filter
Figure 16.121, “ Example for Polar Coords filter ”
Activate the filter
Section 8.8.2, “ Activate the filter ”
Options
Section 8.8.3, “ Options ”
Polar Coords filter options
Figure 16.122, “ Polar Coords filter options ”
Examples
Section 8.8.4, “ Examples ”
With text
Figure 16.123, “ With text ”
With two horizontal bars
Figure 16.124, “ With two horizontal bars ”
Emboss
Section 8.9, “ Emboss ”
Overview
Section 8.9.1, “ Overview ”
Applying example for the Emboss filter
Figure 16.125, “ Applying example for the Emboss filter ”
Options
Section 8.9.2, “ Options ”

Emboss filter options

Figure 16.126, “

Emboss filter options

”
Curve Bend
Section 8.10, “ Curve Bend ”
Overview
Section 8.10.1, “ Overview ”
Applying example for the Curve Bend filter
Figure 16.127, “ Applying example for the Curve Bend filter ”
Options
Section 8.10.2, “ Options ”

Curve bend filter options

Figure 16.128, “

Curve bend filter options

”
Shift
Section 8.11, “ Shift ”
Overview
Section 8.11.1, “ Overview ”
Example for the Shift filter
Figure 16.129, “ Example for the Shift filter ”
Options
Section 8.11.2, “ Options ”
Shift filter options
Figure 16.130, “ Shift filter options ”
Video
Section 8.12, “ Video ”
Overview
Section 8.12.1, “ Overview ”

Applying example for the Video filter

Figure 16.131, “

Applying example for the Video filter

”
Options
Section 8.12.2, “ Options ”

Video filter options

Figure 16.132, “

Video filter options

”
Waves
Section 8.13, “ Waves ”
Overview
Section 8.13.1, “ Overview ”
Example for the Waves filter
Figure 16.133, “ Example for the Waves filter ”
Options
Section 8.13.2, “ Options ”

Waves filter options

Figure 16.134, “

Waves filter options

”
Value Propagate
Section 8.14, “ Value Propagate ”
Overview
Section 8.14.1, “ Overview ”
Example for the Value Propagate filter
Figure 16.135, “ Example for the Value Propagate filter ”
Options
Section 8.14.2, “ Options ”

Value propagate filter options

Figure 16.136, “

Value propagate filter options

”
Original image
Figure 16.137, “ Original image ”
More White
Figure 16.138, “ More White ”
More Black
Figure 16.139, “ More Black ”
To bottom only
Figure 16.140, “ To bottom only ”
Middle Value to Peaks
Figure 16.141, “ Middle Value to Peaks ”
Foreground to Peaks
Figure 16.142, “ Foreground to Peaks ”
Only Foreground
Figure 16.143, “ Only Foreground ”
More opaque
Figure 16.144, “ More opaque ”
Wind
Section 8.15, “ Wind ”
Overview
Section 8.15.1, “ Overview ”

Wind filter example

Figure 16.145, “

Wind filter example

”
Options
Section 8.15.2, “ Options ”

Wind filter options

Figure 16.146, “

Wind filter options

”
Ripple
Section 8.16, “ Ripple ”
Overview
Section 8.16.1, “ Overview ”

Ripple filter example

Figure 16.147, “

Ripple filter example

”
Options
Section 8.16.2, “ Options ”

Ripple filter options

Figure 16.148, “

Ripple filter options

”
Newsprint
Section 8.17, “ Newsprint ”
Overview
Section 8.17.1, “ Overview ”

Applying example for the Newsprint filter

Figure 16.149, “

Applying example for the Newsprint filter

”
Options
Section 8.17.2, “ Options ”

Newsprint filter options

Figure 16.150, “

Newsprint filter options

”
Example
Section 8.17.3, “ Example ”
Example for Newsprint
Figure 16.151, “ Example for Newsprint ”
Whirl and Pinch
Section 8.18, “ Whirl and Pinch ”
Overview
Section 8.18.1, “ Overview ”
Example for the Whirl and Pinch filter
Figure 16.152, “ Example for the Whirl and Pinch filter ”
Illustration
Figure 16.153, “ Illustration ”
Parameter Settings
Section 8.18.2, “ Parameter Settings ”

Whirl and Pinch filter options

Figure 16.154, “

Whirl and Pinch filter options

”
Artistic Filters
Section 9, “ Artistic Filters ”
Introduction
Section 9.1, “ Introduction ”
Cartoon
Section 9.2, “ Cartoon ”
Overview
Section 9.2.1, “ Overview ”

The same image, before and after applying Cartoon filter

Figure 16.155, “

The same image, before and after applying Cartoon filter

”
Options
Section 9.2.2, “ Options ”

Cartoon filter options

Figure 16.156, “

Cartoon filter options

”
Photocopy
Section 9.3, “ Photocopy ”
Overview
Section 9.3.1, “ Overview ”

The same image, before and after applying Photocopy filter

Figure 16.157, “

The same image, before and after applying Photocopy filter

”
Starting filter
Section 9.3.2, “ Starting filter ”
Options
Section 9.3.3, “ Options ”

Photocopy filter options

Figure 16.158, “

Photocopy filter options

”
GIMPressionist
Section 9.4, “ GIMPressionist ”
Overview
Section 9.4.1, “ Overview ”

The same image, before and after applying GIMPressionist

Figure 16.159, “

The same image, before and after applying GIMPressionist

”
Parameter Settings
Section 9.4.2, “ Parameter Settings ”

Presets tab options

Figure 16.160, “

Presets tab options

”

Paper tab options

Figure 16.161, “

Paper tab options

”

Brush tab options

Figure 16.162, “

Brush tab options

”

Orientation tab options

Figure 16.163, “

Orientation tab options

”

Size tab options

Figure 16.164, “

Size tab options

”

Placement tab options

Figure 16.165, “

Placement tab options

”

Color tab options

Figure 16.166, “

Color tab options

”

General tab options

Figure 16.167, “

General tab options

”
GIMPressionist - Orientation Map Editor
Section 9.5, “ GIMPressionist - Orientation Map Editor ”
Overview
Section 9.5.1, “ Overview ”
Parameter Settings
Section 9.5.2, “ Parameter Settings ”

Options of the Orientation-map Editor dialog

Figure 16.168, “

Options of the Orientation-map Editor dialog

”
GIMPressionist - Size Map Editor
Section 9.6, “ GIMPressionist - Size Map Editor ”
Overview
Section 9.6.1, “ Overview ”
Parameter Settings
Section 9.6.2, “ Parameter Settings ”

Size-map editor options

Figure 16.169, “

Size-map editor options

”
Cubism
Section 9.7, “ Cubism ”
Overview
Section 9.7.1, “ Overview ”

The same image, before and after applying Cubism filter

Figure 16.170, “

The same image, before and after applying Cubism filter

”
Options
Section 9.7.2, “ Options ”

Cubism filter options

Figure 16.171, “

Cubism filter options

”

Example illustrating the action of the Use BackGround color option

Figure 16.172, “

Example illustrating the action of the Use BackGround color option

”
The option is not checked
Figure 16.173, “ The option is not checked ”
The option is checked
Figure 16.174, “ The option is checked ”
Apply Canvas
Section 9.8, “ Apply Canvas ”
Overview
Section 9.8.1, “ Overview ”

The same image, before and after applying Apply Canvas filter

Figure 16.175, “

The same image, before and after applying Apply Canvas filter

”
Options
Section 9.8.2, “ Options ”

Apply Canvas options

Figure 16.176, “

Apply Canvas options

”
Predator
Section 9.9, “ Predator ”
Overview
Section 9.9.1, “ Overview ”

Example for the Predator filter

Figure 16.177, “

Example for the Predator filter

”
Activate the filter
Section 9.9.2, “ Activate the filter ”
Options
Section 9.9.3, “ Options ”
Predator options
Figure 16.178, “ Predator options ”
Edge amount examples
Figure 16.179, “ Edge amount examples ”
Pixelize examples
Figure 16.180, “ Pixelize examples ”
Filter algorithm
Section 9.9.4, “ Filter algorithm ”
Making the predator effect
Figure 16.181, “ Making the predator effect ”
Van Gogh (LIC)
Section 9.10, “ Van Gogh (LIC) ”
Overview
Section 9.10.1, “ Overview ”

From left to right: original image, map, resulting image

Figure 16.182, “

From left to right: original image, map, resulting image

”
Options
Section 9.10.2, “ Options ”

Van Gogh (LIC) filter options

Figure 16.183, “

Van Gogh (LIC) filter options

”
Blurring with vertical gradient map
Figure 16.184, “ Blurring with vertical gradient map ”
Blurring with a square gradient map
Figure 16.185, “ Blurring with a square gradient map ”
Texture example
Figure 16.186, “ Texture example ”
Derivative option example
Figure 16.187, “ Derivative option example ”

Action example of Filter Length on blur

Figure 16.188, “

Action example of Filter Length on blur

”
Filter Length example on texture
Figure 16.189, “ Filter Length example on texture ”

Action example of Noise Magnitude on texture

Figure 16.190, “

Action example of Noise Magnitude on texture

”

Action example of Integration Steps on texture

Figure 16.191, “

Action example of Integration Steps on texture

”

Action example of Min/max values on texture

Figure 16.192, “

Action example of Min/max values on texture

”
Soft Glow
Section 9.11, “ Soft Glow ”
Overview
Section 9.11.1, “ Overview ”

The same image, before and after applying SoftGlow filter

Figure 16.193, “

The same image, before and after applying SoftGlow filter

”
Starting filter
Section 9.11.2, “ Starting filter ”
Options
Section 9.11.3, “ Options ”

Soft Glow filter options

Figure 16.194, “

Soft Glow filter options

”
Oilify
Section 9.12, “ Oilify ”
Overview
Section 9.12.1, “ Overview ”

The same image, before and after applying Oilify filter

Figure 16.195, “

The same image, before and after applying Oilify filter

”
Options
Section 9.12.2, “ Options ”

Oilify filter options

Figure 16.196, “

Oilify filter options

”
Map Filters
Section 10, “ Map Filters ”
Introduction
Section 10.1, “ Introduction ”
Bump Map
Section 10.2, “ Bump Map ”
Overview
Section 10.2.1, “ Overview ”

bump-map example

Figure 16.197, “

bump-map example

”
Options
Section 10.2.2, “ Options ”

Bump Map filter options

Figure 16.198, “

Bump Map filter options

”
Displace
Section 10.3, “ Displace ”
Overview
Section 10.3.1, “ Overview ”
Displacement examples
Figure 16.199, “ Displacement examples ”
Activate the filter
Section 10.3.2, “ Activate the filter ”
Options (General)
Section 10.3.3, “ Options (General) ”
Displace filter options
Figure 16.200, “ Displace filter options ”
Cartesian Displacement Mode
Section 10.3.3.1, “ Cartesian Displacement Mode ”
Displace filter options (Cartesian)
Figure 16.201, “ Displace filter options (Cartesian) ”
Polar Displacement Mode
Section 10.3.3.2, “ Polar Displacement Mode ”
Displace filter options (Polar)
Figure 16.202, “ Displace filter options (Polar) ”
Using gradient to bend a text
Section 10.3.4, “ Using gradient to bend a text ”
Displacement Calculation
Section 10.3.5, “ Displacement Calculation ”
A closer look at the displacement example
Figure 16.203, “ A closer look at the displacement example ”
Fractal Trace
Section 10.4, “ Fractal Trace ”
Overview
Section 10.4.1, “ Overview ”
Options
Section 10.4.2, “ Options ”

Fractal trace filter options

Figure 16.204, “

Fractal trace filter options

”
Illusion
Section 10.5, “ Illusion ”
Overview
Section 10.5.1, “ Overview ”
Options
Section 10.5.2, “ Options ”
Illusion filter options
Figure 16.205, “ Illusion filter options ”
From left to right: original image, mode 1, mode 2, with Divisions=4
Figure 16.206, “ From left to right: original image, mode 1, mode 2, with Divisions=4 ”
Make Seamless
Section 10.6, “ Make Seamless ”
Overview
Section 10.6.1, “ Overview ”
An example of Make Seamless.
Figure 16.207, “ An example of Make Seamless. ”
Map Object
Section 10.7, “ Map Object ”
Overview
Section 10.7.1, “ Overview ”

The Map Object filter applied to a photograph

Figure 16.208, “

The Map Object filter applied to a photograph

”
Options
Section 10.7.2, “ Options ”
Preview domain
Section 10.7.2.1, “ Preview domain ”
General Options tab
Section 10.7.2.2, “ General Options tab ”

Map Object general options tab

Figure 16.209, “

Map Object general options tab

”
Light tab
Section 10.7.2.3, “ Light tab ”
Light tab options
Figure 16.210, “ Light tab options ”
Material tab
Section 10.7.2.4, “ Material tab ”
Material tab options
Figure 16.211, “ Material tab options ”
Orientation tab
Section 10.7.2.5, “ Orientation tab ”
Orientation tab options
Figure 16.212, “ Orientation tab options ”
Box tab
Section 10.7.2.6, “ Box tab ”
Box tab options
Figure 16.213, “ Box tab options ”
Cylinder tab
Section 10.7.2.7, “ Cylinder tab ”
Cylinder tab options
Figure 16.214, “ Cylinder tab options ”
Paper Tile
Section 10.8, “ Paper Tile ”
Overview
Section 10.8.1, “ Overview ”

From left to right: original image, after applying Paper Tile filter (division = 3)

Figure 16.215, “

From left to right: original image, after applying Paper Tile filter (division = 3)

”
Activate the filter
Section 10.8.2, “ Activate the filter ”
Options
Section 10.8.3, “ Options ”
Paper Tile filter options
Figure 16.216, “ Paper Tile filter options ”
Small Tiles
Section 10.9, “ Small Tiles ”
Overview
Section 10.9.1, “ Overview ”

Example for the Small Tiles filter

Figure 16.217, “

Example for the Small Tiles filter

”
Activate the filter
Section 10.9.2, “ Activate the filter ”
Options
Section 10.9.3, “ Options ”
Small Tiles filter options
Figure 16.218, “ Small Tiles filter options ”
Tile
Section 10.10, “ Tile ”
Overview
Section 10.10.1, “ Overview ”

The same image, before and after applying Tile filter

Figure 16.219, “

The same image, before and after applying Tile filter

”
Options
Section 10.10.2, “ Options ”
Tile filter options
Figure 16.220, “ Tile filter options ”
Warp
Section 10.11, “ Warp ”
Overview
Section 10.11.1, “ Overview ”

From left to right: original image, displace map, displaced image

Figure 16.221, “

From left to right: original image, displace map, displaced image

”
With a non-linear gradient
Figure 16.222, “ With a non-linear gradient ”
With a complex gradient:
Figure 16.223, “ With a complex gradient: ”
Options
Section 10.11.2, “ Options ”
Warp filter options
Figure 16.224, “ Warp filter options ”
With a 3.00 dither size:
Figure 16.225, “ With a 3.00 dither size: ”
With a 10° angle and 6 iterations:
Figure 16.226, “ With a 10° angle and 6 iterations: ”
Magnitude Map example:
Figure 16.227, “ Magnitude Map example: ”
Gradient map example
Figure 16.228, “ Gradient map example ”
Vector map example
Figure 16.229, “ Vector map example ”
Rendering Filters
Section 11, “ Rendering Filters ”
Introduction
Section 11.1, “ Introduction ”
Plasma
Section 11.2, “ Plasma ”
Overview
Section 11.2.1, “ Overview ”
Example of a rendered plasma.
Figure 16.230, “ Example of a rendered plasma. ”
Options
Section 11.2.2, “ Options ”

Plasma filter options

Figure 16.231, “

Plasma filter options

”
Solid Noise
Section 11.3, “ Solid Noise ”
Overview
Section 11.3.1, “ Overview ”
Example of turbulent solid noise.
Figure 16.232, “ Example of turbulent solid noise. ”
Options
Section 11.3.2, “ Options ”

Solid Noise filter options

Figure 16.233, “

Solid Noise filter options

”
Flame
Section 11.4, “ Flame ”
Overview
Section 11.4.1, “ Overview ”
Example of a rendered Flame.
Figure 16.234, “ Example of a rendered Flame. ”
Options
Section 11.4.2, “ Options ”

Flame filter options

Figure 16.235, “

Flame filter options

”
The Edit Flame dialog
Figure 16.236, “ The Edit Flame dialog ”
IFS Fractal
Section 11.5, “ IFS Fractal ”
Overview
Section 11.5.1, “ Overview ”
Applying example for the IFS Compose filter
Figure 16.237, “ Applying example for the IFS Compose filter ”
Options
Section 11.5.2, “ Options ”

Color transformation tab options

Figure 16.238, “

Color transformation tab options

”
A Brief Tutorial
Section 11.5.3, “ A Brief Tutorial ”
Tutorial Step 2
Figure 16.239, “ Tutorial Step 2 ”
Tutorial Step 3
Figure 16.240, “ Tutorial Step 3 ”
Tutorial Step 4
Figure 16.241, “ Tutorial Step 4 ”
Tutorial Step 5
Figure 16.242, “ Tutorial Step 5 ”
Diffraction Patterns
Section 11.6, “ Diffraction Patterns ”
Overview
Section 11.6.1, “ Overview ”
Two examples of diffraction patterns.
Figure 16.243, “ Two examples of diffraction patterns. ”
CML Explorer
Section 11.7, “ CML Explorer ”
Overview
Section 11.7.1, “ Overview ”

Example for the CML Explorer filter

Figure 16.244, “

Example for the CML Explorer filter

”
Starting filter
Section 11.7.2, “ Starting filter ”
Options
Section 11.7.3, “ Options ”

CML Explorer filter options(Hue)

Figure 16.245, “

CML Explorer filter options(Hue)

”

Function graph of present settings

Figure 16.246, “

Function graph of present settings

”

CML Explorer filter options(Saturation)

Figure 16.247, “

CML Explorer filter options(Saturation)

”

CML Explorer filter options (Value)

Figure 16.248, “

CML Explorer filter options (Value)

”

CML Explorer filter options (Advanced)

Figure 16.249, “

CML Explorer filter options (Advanced)

”

CML Explorer filter options (Others)

Figure 16.250, “

CML Explorer filter options (Others)

”

CML Explorer filter options (Misc.ops)

Figure 16.251, “

CML Explorer filter options (Misc.ops)

”
Grid
Section 11.8, “ Grid ”
Overview
Section 11.8.1, “ Overview ”
Applying example for the Grid filter
Figure 16.252, “ Applying example for the Grid filter ”
Options
Section 11.8.2, “ Options ”

Grid filter options

Figure 16.253, “

Grid filter options

”
Maze
Section 11.9, “ Maze ”
Overview
Section 11.9.1, “ Overview ”
An example of a rendered maze.
Figure 16.254, “ An example of a rendered maze. ”
Options
Section 11.9.2, “ Options ”

Maze filter options

Figure 16.255, “

Maze filter options

”
Jigsaw
Section 11.10, “ Jigsaw ”
Overview
Section 11.10.1, “ Overview ”
Jigsaw filter example
Figure 16.256, “ Jigsaw filter example ”
Options
Section 11.10.2, “ Options ”

Jigsaw filter options

Figure 16.257, “

Jigsaw filter options

”
Qbist
Section 11.11, “ Qbist ”
Overview
Section 11.11.1, “ Overview ”
Applying example for the Qbist filter
Figure 16.258, “ Applying example for the Qbist filter ”

Three more or less random examples of qbist renderings.

Figure 16.259, “

Three more or less random examples of qbist renderings.

”
Options
Section 11.11.2, “ Options ”

Qbist filter options

Figure 16.260, “

Qbist filter options

”
Checkerboard
Section 11.12, “ Checkerboard ”
Overview
Section 11.12.1, “ Overview ”

Example for the Checkerboard filter

Figure 16.261, “

Example for the Checkerboard filter

”
Starting filter
Section 11.12.2, “ Starting filter ”
Options
Section 11.12.3, “ Options ”

Checkerboard filter options

Figure 16.262, “

Checkerboard filter options

”
Sinus
Section 11.13, “ Sinus ”
Overview
Section 11.13.1, “ Overview ”
Applying example for the Sinus filter
Figure 16.263, “ Applying example for the Sinus filter ”
Options
Section 11.13.2, “ Options ”

Sinus filter options (Settings)

Figure 16.264, “

Sinus filter options (Settings)

”

Sinus filter options (Color)

Figure 16.265, “

Sinus filter options (Color)

”

Sinus filter options (Blend)

Figure 16.266, “

Sinus filter options (Blend)

”
Fractal Explorer
Section 11.14, “ Fractal Explorer ”
Overview
Section 11.14.1, “ Overview ”

The same image, before and after applying Fractal Explorer filter

Figure 16.267, “

The same image, before and after applying Fractal Explorer filter

”
Starting filter
Section 11.14.2, “ Starting filter ”
Options
Section 11.14.3, “ Options ”

Parameters options for Fractal Explorer filter

Figure 16.268, “

Parameters options for Fractal Explorer filter

”

Color tab options

Figure 16.269, “

Color tab options

”
Loglog smoothing example
Figure 16.270, “ Loglog smoothing example ”

Fractal tab options

Figure 16.271, “

Fractal tab options

”
Gfig
Section 11.15, “ Gfig ”
Overview
Section 11.15.1, “ Overview ”
The same image, before and after using Gfig
Figure 16.272, “ The same image, before and after using Gfig ”
Starting filter
Section 11.15.2, “ Starting filter ”
Options
Section 11.15.3, “ Options ”

Gfig filter options

Figure 16.273, “

Gfig filter options

”
Sphere Designer
Section 11.16, “ Sphere Designer ”
Overview
Section 11.16.1, “ Overview ”

The same image, before and after the application of Sphere Designer filter.

Figure 16.274, “

The same image, before and after the application of Sphere Designer filter.

”
Activating Sphere Designer
Section 11.16.2, “ Activating Sphere Designer ”
Options
Section 11.16.3, “ Options ”

Sphere Designer filter parameters

Figure 16.275, “

Sphere Designer filter parameters

”
Combine Filters
Section 12, “ Combine Filters ”
Introduction
Section 12.1, “ Introduction ”
Depth Merge
Section 12.2, “ Depth Merge ”
Overview
Section 12.2.1, “ Overview ”
Accessing this Filter
Section 12.2.2, “ Accessing this Filter ”
Options
Section 12.2.3, “ Options ”
Figure 16.276, “ ”
Using example
Section 12.2.4, “ Using example ”
Source images and their maps
Figure 16.277, “ Source images and their maps ”
Results
Figure 16.278, “ Results ”
Film
Section 12.3, “ Film ”
Overview
Section 12.3.1, “ Overview ”
Applying example for the Film filter
Figure 16.279, “ Applying example for the Film filter ”
Accessing this Filter
Section 12.3.2, “ Accessing this Filter ”
Options
Section 12.3.3, “ Options ”

Film filter options (Selection)

Figure 16.280, “

Film filter options (Selection)

”

Film filter options (Advanced)

Figure 16.281, “

Film filter options (Advanced)

”
Animation Filters
Section 13, “ Animation Filters ”
Optimize
Section 13.1, “ Optimize ”
Overview
Section 13.1.1, “ Overview ”
Example for the Optimize animation filters
Figure 16.282, “ Example for the Optimize animation filters ”
Activate filters
Section 13.1.2, “ Activate filters ”
Options
Section 13.1.3, “ Options ”
Playback
Section 13.2, “ Playback ”
Overview
Section 13.2.1, “ Overview ”
Activate the filter
Section 13.2.2, “ Activate the filter ”
Options
Section 13.2.3, “ Options ”
Playback filter options
Figure 16.283, “ Playback filter options ”
Web Filters
Section 14, “ Web Filters ”
Introduction
Section 14.1, “ Introduction ”
ImageMap
Section 14.2, “ ImageMap ”
Overview
Section 14.2.1, “ Overview ”
Activate the filter
Section 14.2.2, “ Activate the filter ”
Options
Section 14.2.3, “ Options ”
Imagemap filter options
Figure 16.284, “ Imagemap filter options ”
The Menu Bar
Section 14.2.3.1, “ The Menu Bar ”
Editing an imagemap area
Figure 16.285, “ Editing an imagemap area ”
Editing the imagemap data
Figure 16.286, “ Editing the imagemap data ”
The Tool Bar
Section 14.2.3.2, “ The Tool Bar ”
The Working Area
Section 14.2.3.3, “ The Working Area ”
The Working Area
Figure 16.287, “ The Working Area ”
The selection area
Section 14.2.3.4, “ The selection area ”
Semi-Flatten
Section 14.3, “ Semi-Flatten ”
Overview
Section 14.3.1, “ Overview ”
Activate the filter
Section 14.3.2, “ Activate the filter ”
Example
Section 14.3.3, “ Example ”

Toolbox Background color (pink) and an image with feathered edges on a transparent background, at a 800% zoom level.

Figure 16.288, “

Toolbox Background color (pink) and an image with feathered edges on a transparent background, at a 800% zoom level.

”

Result, in GIF format, after applying Semi-flatten filter.

Figure 16.289, “

Result, in GIF format, after applying Semi-flatten filter.

”
Slice
Section 14.4, “ Slice ”
Overview
Section 14.4.1, “ Overview ”

Example for the Slice filter

Figure 16.290, “

Example for the Slice filter

”

Simple Slice filter example output

Example 16.1, “

Simple Slice filter example output

”
Activate the filter
Section 14.4.2, “ Activate the filter ”
Options
Section 14.4.3, “ Options ”
Slice options
Figure 16.291, “ Slice options ”
With separate image folder
Example 16.2, “ With separate image folder ”
Space between table elements
Example 16.3, “ Space between table elements ”
JavaScript code snippet
Example 16.4, “ JavaScript code snippet ”

Skipped animation for table caps (simplified HTML code)

Example 16.5, “

Skipped animation for table caps (simplified HTML code)

”
Alpha to Logo Filters
Section 15, “ Alpha to Logo Filters ”
Introduction
Section 15.1, “ Introduction ”
The Alpha to Logo filters menu
Figure 16.292, “ The Alpha to Logo filters menu ”
Alien Glow
Section 15.2, “ Alien Glow ”
Overview
Section 15.2.1, “ Overview ”

Example for the Alien Glow filter

Figure 16.293, “

Example for the Alien Glow filter

”
Activate the filter
Section 15.2.2, “ Activate the filter ”
Options
Section 15.2.3, “ Options ”
Alien Glow options
Figure 16.294, “ Alien Glow options ”
Basic I
Section 15.3, “ Basic I ”
Overview
Section 15.3.1, “ Overview ”

Example for the Basic I filter

Figure 16.295, “

Example for the Basic I filter

”
Activate the filter
Section 15.3.2, “ Activate the filter ”
Options
Section 15.3.3, “ Options ”
Basic I options
Figure 16.296, “ Basic I options ”
Basic II
Section 15.4, “ Basic II ”
Overview
Section 15.4.1, “ Overview ”

Example for the Basic II filter

Figure 16.297, “

Example for the Basic II filter

”
Activate the filter
Section 15.4.2, “ Activate the filter ”
Options
Section 15.4.3, “ Options ”
Basic II options
Figure 16.298, “ Basic II options ”
Bovination
Section 15.5, “ Bovination ”
Overview
Section 15.5.1, “ Overview ”

Example for the Bovination filter

Figure 16.299, “

Example for the Bovination filter

”
Activate the filter
Section 15.5.2, “ Activate the filter ”
Options
Section 15.5.3, “ Options ”
Bovination options
Figure 16.300, “ Bovination options ”
Spots density examples
Figure 16.301, “ Spots density examples ”
Chalk
Section 15.6, “ Chalk ”
Overview
Section 15.6.1, “ Overview ”

Example for the Chalk filter

Figure 16.302, “

Example for the Chalk filter

”
Activate the filter
Section 15.6.2, “ Activate the filter ”
Options
Section 15.6.3, “ Options ”
Chalk option
Figure 16.303, “ Chalk option ”
Chip Away
Section 15.7, “ Chip Away ”
Overview
Section 15.7.1, “ Overview ”

Example for the Chip Away filter

Figure 16.304, “

Example for the Chip Away filter

”
Activate the filter
Section 15.7.2, “ Activate the filter ”
Options
Section 15.7.3, “ Options ”
Chip Away options
Figure 16.305, “ Chip Away options ”
Chip amount examples
Figure 16.306, “ Chip amount examples ”

Chip Away inverted example

Figure 16.307, “

Chip Away inverted example

”

Suggested Chip Away patterns

Figure 16.308, “

Suggested Chip Away patterns

”
Cool Metal
Section 15.8, “ Cool Metal ”
Overview
Section 15.8.1, “ Overview ”

Example for the Cool Metal filter

Figure 16.309, “

Example for the Cool Metal filter

”
Activate the filter
Section 15.8.2, “ Activate the filter ”
Options
Section 15.8.3, “ Options ”
Cool Metal options
Figure 16.310, “ Cool Metal options ”
Filter details
Section 15.8.4, “ Filter details ”
Glossy
Section 15.9, “ Glossy ”
Overview
Section 15.9.1, “ Overview ”

Example for the Glossy filter

Figure 16.311, “

Example for the Glossy filter

”
Activate the filter
Section 15.9.2, “ Activate the filter ”
Options
Section 15.9.3, “ Options ”
Glossy options
Figure 16.312, “ Glossy options ”
Filter details
Section 15.9.4, “ Filter details ”
Neon
Section 15.10, “ Neon ”
Overview
Section 15.10.1, “ Overview ”

Example for the Neon filter

Figure 16.313, “

Example for the Neon filter

”
The Neon effect
Figure 16.314, “ The Neon effect ”
Activate the filter
Section 15.10.2, “ Activate the filter ”
Options
Section 15.10.3, “ Options ”
Neon options
Figure 16.315, “ Neon options ”
Particle Trace
Section 15.11, “ Particle Trace ”
Overview
Section 15.11.1, “ Overview ”

Examples for the Particle Trace filter

Figure 16.316, “

Examples for the Particle Trace filter

”
Activate the filter
Section 15.11.2, “ Activate the filter ”
Options
Section 15.11.3, “ Options ”
Particle Trace options
Figure 16.317, “ Particle Trace options ”
Hit rate examples
Figure 16.318, “ Hit rate examples ”
Starburst
Section 15.12, “ Starburst ”
Overview
Section 15.12.1, “ Overview ”

Example for the Starburst filter

Figure 16.319, “

Example for the Starburst filter

”
Starburst script and filter
Figure 16.320, “ Starburst script and filter ”
Activate the filter
Section 15.12.2, “ Activate the filter ”
Options
Section 15.12.3, “ Options ”
Starburst options
Figure 16.321, “ Starburst options ”
Decor Filters
Section 16, “ Decor Filters ”
Introduction
Section 16.1, “ Introduction ”
Add Bevel
Section 16.2, “ Add Bevel ”
Overview
Section 16.2.1, “ Overview ”

Example for the Add Bevel filter

Figure 16.322, “

Example for the Add Bevel filter

”

Another Add Bevel example, with bumpmap

Figure 16.323, “

Another Add Bevel example, with bumpmap

”
Activate the filter
Section 16.2.2, “ Activate the filter ”
Options
Section 16.2.3, “ Options ”
Add Bevel options
Figure 16.324, “ Add Bevel options ”
Add Border
Section 16.3, “ Add Border ”
Overview
Section 16.3.1, “ Overview ”

Example for the Add Border filter

Figure 16.325, “

Example for the Add Border filter

”
Options
Section 16.3.2, “ Options ”
Add Border options
Figure 16.326, “ Add Border options ”
Delta examples
Figure 16.327, “ Delta examples ”
Coffee Stain
Section 16.4, “ Coffee Stain ”
Overview
Section 16.4.1, “ Overview ”

Example for the Coffee Stain filter

Figure 16.328, “

Example for the Coffee Stain filter

”
Activate the filter
Section 16.4.2, “ Activate the filter ”
Options
Section 16.4.3, “ Options ”
Coffee Stain options
Figure 16.329, “ Coffee Stain options ”
Fuzzy Border
Section 16.5, “ Fuzzy Border ”
Overview
Section 16.5.1, “ Overview ”

Example for the Fuzzy Border filter

Figure 16.330, “

Example for the Fuzzy Border filter

”
Activate the filter
Section 16.5.2, “ Activate the filter ”
Options
Section 16.5.3, “ Options ”
Fuzzy Border options
Figure 16.331, “ Fuzzy Border options ”
Blur border example
Figure 16.332, “ Blur border example ”

Blur border zoomed (1600%)

Figure 16.333, “

Blur border zoomed (1600%)

”

Granularity example (without blurring)

Figure 16.334, “

Granularity example (without blurring)

”
Add shadow example
Figure 16.335, “ Add shadow example ”
Old Photo
Section 16.6, “ Old Photo ”
Overview
Section 16.6.1, “ Overview ”

Example for the Old Photo filter

Figure 16.336, “

Example for the Old Photo filter

”
Activate the filter
Section 16.6.2, “ Activate the filter ”
Options
Section 16.6.3, “ Options ”
Old Photo options
Figure 16.337, “ Old Photo options ”

Example for the Defocus option

Figure 16.338, “

Example for the Defocus option

”

Example for the Mottle option

Figure 16.339, “

Example for the Mottle option

”
Round Corners
Section 16.7, “ Round Corners ”
Overview
Section 16.7.1, “ Overview ”

Example for the Round Corners filter

Figure 16.340, “

Example for the Round Corners filter

”
Activate the filter
Section 16.7.2, “ Activate the filter ”
Options
Section 16.7.3, “ Options ”
Round Corners options
Figure 16.341, “ Round Corners options ”
Edge radius examples
Figure 16.342, “ Edge radius examples ”
Shadow offset examples
Figure 16.343, “ Shadow offset examples ”
Slide
Section 16.8, “ Slide ”
Overview
Section 16.8.1, “ Overview ”

Example for the Slide filter

Figure 16.344, “

Example for the Slide filter

”
Activate the filter
Section 16.8.2, “ Activate the filter ”
Options
Section 16.8.3, “ Options ”
Slide options
Figure 16.345, “ Slide options ”
Stencil Carve
Section 16.9, “ Stencil Carve ”
Overview
Section 16.9.1, “ Overview ”

Example for the Stencil Carve filter

Figure 16.346, “

Example for the Stencil Carve filter

”
Activate the filter
Section 16.9.2, “ Activate the filter ”
Options
Section 16.9.3, “ Options ”
Stencil Carve options
Figure 16.347, “ Stencil Carve options ”
Engraving Masks
Figure 16.348, “ Engraving Masks ”

Example for Carve white areas

Figure 16.349, “

Example for Carve white areas

”
Keys and Mouse Reference
Keys and Mouse Reference
Help
Help
Help
the section called “Help”
Toolbox
Toolbox
Toolbox
the section called “Toolbox”
File
File
File
the section called “File”
Dialogs
Dialogs
Dialogs
the section called “Dialogs”
View
View
View
the section called “View”
Edit
Edit
Edit
the section called “Edit”
Layers
Layers
Layers
the section called “Layers”
Selections
Selections
Selections
the section called “Selections”
Plug-ins
Plug-ins
Plug-ins
the section called “Plug-ins”
Zoom tool
Zoom tool
Zoom tool
the section called “Zoom tool”
Glossary
Glossary
???TITLE???
???
???TITLE???
???
Alpha
Alpha
Alpha Channel
Alpha Channel
Antialiasing
Antialiasing
???TITLE???
???
Bezier curve
Bezier curve
Bitmap
Bitmap
BMP
BMP
???TITLE???
BMP
???TITLE???
BMP
Bump mapping
Bump mapping
???TITLE???
???
Channels
Channels
Clipboard
Clipboard
Color depth
Color depth
Color model
Color model
CMY, CMYK
CMY, CMYK
Subtractive color model
Figure 969, “ Subtractive color model ”
???TITLE???
???
Dithering
Dithering
???TITLE???
???
File Format
File Format
Feathering
Feathering
Floating Selection
Floating Selection
Floyd-Steinberg Dithering
Floyd-Steinberg Dithering
???TITLE???
???
Gamut
Gamut
Gamma
Gamma
GIF
GIF
GNU
GNU
Grayscale
Grayscale
???TITLE???
Grayscale
Guides
Guides
???TITLE???
???
Histogram
Histogram
HSV
HSV
HTML notation
HTML notation
???TITLE???
???
Image Hose
Image Hose
Incremental, paint mode
Incremental, paint mode
Indexed Colors
Indexed Colors
Interpolation
Interpolation
???TITLE???
???
JPEG
JPEG
???TITLE???
???
L*a*b
L*a*b
Layer
Layer
???TITLE???
???
Marching Ants
Marching Ants
Masks
Masks
Moiré Effect
Moiré Effect
???TITLE???
???
Parasite
Parasite
Path
Path
PDB
PDB

PDF
PDF
???TITLE???
PDF
???TITLE???
PDF
Pixel
Pixel
Plugin
Plugin
???TITLE???
Plugin

PostScript
PostScript
???TITLE???
PostScript
???TITLE???
PostScript
PNG
PNG
PSD

PSD
???TITLE???
???
???TITLE???
???
???TITLE???
???
Quantization
Quantization
???TITLE???
???
RGB
RGB
Additive color model
Figure 970, “ Additive color model ”
Colorcircle
Figure 971, “ Colorcircle ”
Rendering Intent
Rendering Intent
???TITLE???
???
Sample Merge
Sample Merge
Saturation
Saturation
Supersampling
Supersampling
SVG
SVG
???TITLE???
???
TGA

TGA
???TITLE???
???
TIFF

TIFF
???TITLE???
???
Tile
Tile
???TITLE???
???
URI
URI
URL
URL
???TITLE???
???
Value
Value
???TITLE???
???

XCF
XCF
???TITLE???
XCF
???TITLE???
XCF
???TITLE???
XCF
???TITLE???
XCF
???TITLE???
Y
YCbCr
YCbCr
YUV
YUV
Bibliography
Bibliography
Books
Books
Grokking the Gimp
Bunks00
Beginning GIMP: From Novice to Professional
APRESS00
Computer Graphics, Principles and Practice
FOLEY01
Online resources
Online resources
Adobe RGB (1998) ICC Profile
AdobeRGB
Astronomy Picture of the Day (today)
APOD01
Astronomy Picture of the Day - The Hubble Ultra Deep Field (2004 March 9)
APOD02
Astronomy Picture of the Day - M51: Cosmic Whirlpool (2002 July 10)
APOD03
Astronomy Picture of the Day - Saturn: Lord of the Rings (2002 February 15)
APOD04
Astronomy Picture of the Day - NGC 6369: The Little Ghost Nebula (2002 November 8)
APOD05
Astronomy Picture of the Day - Disorder in Stephan's Quintet (2000 November 13)
APOD06
Astronomy Picture of the Day - The Sharpest View of the Sun (2002 November 14)
APOD07
Argyll Color Management System Home Page
ARGYLLCMS
Face in blocks
BACH04
Bugzilla-GIMP
BUGZILLA-GIMP
Darwin Ports Package Manager for OS X
DARWINORTS

ECI (European Color Initiative) Profiles

ECI

Unofficial translation of the GNU Free Documentation License

FDL-TRANSLATION
Fink Package Manager for OS X
FINK
Freetype 2 home page
FREETYPE
Image Reconstruction Invariant to Relighting
GEORGIEV01
Ghostscript project page on Sourceforge.net
GHOSTSCRIPT
GIMP - The Gnu Image Manipulation Program
GIMP
GIMP Development
GIMP-DEV
GIMP Plugin Development
GIMP-DEV-PLUGIN
GIMP Documentation project page
GIMP-DOCS
Fonts in GIMP 2.0
GIMP-FONTS
Grokking the GIMP
GROKKING01

Grokking the GIMP (9.2 Clickable Image Maps)

GROKKING02
Making shapes in GIMP
GUNTHER04
ICC sRGB PROFILES
ICCsRGB
LPROF ICC Profiler
LPROF
GIMP-Plugin Exif Browser
PLUGIN-EXIF
GIMP-Plugin Flames
PLUGIN-FLAMES
GIMP-Plugin Plasma2 at the Registry
PLUGIN-PLASMA2
GIMP-Plugin Registry
GIMP-REGISTRY
A plugin to quickly remove "redeye" caused by camera flash
PLUGIN-REDEYE
Resynthesizer is a Gimp plug-in for texture synthesis
PLUGIN-RESYNTH
GIMP-Wiki - How to compile for Windows
GIMP-WIKI01
Homepage of GQview, an image browser
GQVIEW
gThumb - An Image Viewer and Browser for the GNOME Desktop
GTHUMB
Inkscape is an Open Source vector graphics editor
INKSCAPE
Alternative icon theme for GIMP 2.4
JIMMAC01
Microsoft Knowledge Base Article 294714
MSKB-294714
Microsoft sRVB Workspace
MsRGB
Open Clipart - Gradients
OPENCLIPART-GRADIENT

The OpenICC project

OPENICC

A plugin providing the Retinex algorithm for GIMP.

PLUGIN-RETINEX
A plugin providing rudimentary CMYK support for GIMP
PLUGIN-SEPARATE
Scribus :: Open Source Desktop Publishing
SCRIBUS
Simple Interactive Object Extraction
SIOX
Tutorial: How to draw straight lines
TUT01
Tutorial: GIMPLite Quickies
TUT02
Wikipedia
WIKIPEDIA
Wikipedia - CMYK
WKPD-CMYK
Wikipedia - EXIF
WKPD-EXIF
Wikipedia - Gamut
WKPD-GAMUT
Wikipedia - GNU
WKPD-GNU
Wikipedia - ICC Profile
WKPD-ICC
Wikipedia - LZW
WKPD-LZW
Wikipedia - PackBits
WKPD-PACKBITS
Wikipedia - Rendering Intent
WKPD-RI
Wikipedia - Sepia
WKPD-SEPIA
WKPD-SVG
Direct Save Protocol (XDS)
XDS
XnView
XNVIEW
Wikipedia - Web-colors
WKPD-Web-colors
GIMP History
Appendix A, GIMP History
The Very Beginning
Section 1, “ The Very Beginning ”
The Early Days of GIMP
Section 2, “ The Early Days of GIMP ”
The One to Change the World
Section 3, “ The One to Change the World ”
Version 2.0
Section 4, “ Version 2.0 ”
What's New in GIMP 2.2?
Section 5, “ What's New in GIMP 2.2? ”
Reporting Bugs and Requesting Enhancements
Appendix B, Reporting Bugs and Requesting Enhancements
Making sure it's a Bug
Section 1, “ Making sure it's a Bug ”
Reporting the Bug
Section 2, “ Reporting the Bug ”

What Happens to a Bug Report after you Submit it

Section 3, “

What Happens to a Bug Report after you Submit it

”
GNU Free Documentation License
Appendix C, GNU Free Documentation License
???TITLE???
???
PREAMBLE
Section 1, “PREAMBLE”
APPLICABILITY AND DEFINITIONS
Section 2, “APPLICABILITY AND DEFINITIONS”
???TITLE???
Section 2, “APPLICABILITY AND DEFINITIONS”
???TITLE???
Section 2, “APPLICABILITY AND DEFINITIONS”
???TITLE???
Section 2, “APPLICABILITY AND DEFINITIONS”
???TITLE???
Section 2, “APPLICABILITY AND DEFINITIONS”
???TITLE???
Section 2, “APPLICABILITY AND DEFINITIONS”
???TITLE???
Section 2, “APPLICABILITY AND DEFINITIONS”
???TITLE???
Section 2, “APPLICABILITY AND DEFINITIONS”
???TITLE???
Section 2, “APPLICABILITY AND DEFINITIONS”
VERBATIM COPYING
Section 3, “VERBATIM COPYING”
COPYING IN QUANTITY
Section 4, “COPYING IN QUANTITY”
MODIFICATIONS
Section 5, “MODIFICATIONS”
COMBINING DOCUMENTS
Section 6, “COMBINING DOCUMENTS”
COLLECTIONS OF DOCUMENTS
Section 7, “COLLECTIONS OF DOCUMENTS”
AGGREGATION WITH INDEPENDENT WORKS
Section 8, “AGGREGATION WITH INDEPENDENT WORKS”
TRANSLATION
Section 9, “TRANSLATION”
TERMINATION
Section 10, “TERMINATION”
FUTURE REVISIONS OF THIS LICENSE
Section 11, “FUTURE REVISIONS OF THIS LICENSE”
ADDENDUM: How to use this License for your documents
Section 12, “ADDENDUM: How to use this License for your documents”
Eeek! There is Missing Help
Appendix D, Eeek! There is Missing Help
Index
Index